#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x3ef22879, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x08ef9c34, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x6be49655, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xf527def6, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x1d59dace, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x97daddf3, "");
SYMBOL_CRC(dfl_driver_unregister, 0x0d9d1e3b, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x8c813e9a, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x2e506e74, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xd6ec7692, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x2ba724d6, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xaafc1255, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xb2b11a05, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x03facf46, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x81c6a49b, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x912aad7e, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x0fd91e2a, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0xcdafe5b4, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0xa298e7a5, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x5f15e921, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xeef959ee, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x29fef434, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x343d968e, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xa222d9a6, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x18bf9dac, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0xe62e04f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf73681e0, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4bc76997, "try_module_get" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x7536f17d, "module_put" },
	{ 0x79162e32, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x59229ca2, "cdev_init" },
	{ 0xfafadd7, "cdev_add" },
	{ 0x536a2d35, "cdev_del" },
	{ 0x413fe411, "get_device" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xc02d61c1, "devm_kfree" },
	{ 0x7fd2a821, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7100abf6, "__devm_request_region" },
	{ 0x3822964f, "devm_ioremap" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x946a23b5, "default_amr" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x841dd318, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0x77d530f7, "platform_device_del" },
	{ 0xa4267bd2, "platform_device_add" },
	{ 0xb5fe261, "platform_device_unregister" },
	{ 0x1d37f731, "platform_device_put" },
	{ 0x62aceab, "device_for_each_child" },
	{ 0x150e7472, "fpga_region_unregister" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x2903b367, "devm_ioremap_resource" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xf8ff8772, "devm_platform_ioremap_resource" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x4e9c6db0, "device_add" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x1a04b804, "_dev_info" },
	{ 0xc0534fa9, "__fpga_region_register" },
	{ 0x22930007, "devm_iounmap" },
	{ 0x5e1afb28, "__devm_release_region" },
	{ 0x3a7cbd86, "platform_device_alloc" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
