#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x63216856, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xe08af2eb, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xbcb7126d, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xda49ac8d, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x9a6ca351, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x2b3f43c9, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x678112f6, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x1a61020b, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x6fd46f80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xad803b60, "hid_hw_request" },
	{ 0x4829a47e, "memcpy" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x14609b8b, "hid_hw_open" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x3e1b4dac, "hid_hw_close" },
	{ 0x215c148d, "__hid_register_driver" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a9c15e, "complete" },
	{ 0x542e4234, "hid_hw_stop" },
	{ 0xd3af12e7, "mfd_remove_devices" },
	{ 0xedac8ea8, "hid_unregister_driver" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x753953f6, "hid_open_report" },
	{ 0x2ff6e534, "hid_hw_start" },
	{ 0x3574a51e, "devm_kasprintf" },
	{ 0x49e45813, "mfd_add_devices" },
	{ 0xc38fc9be, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "F30BCF8BA7A0570FC2E6C90");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
