#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x90adfd87, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xfc8d6fb9, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xb287d125, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x937d2030, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xa62d480e, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x9c4d1261, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x0883bde4, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xa626e11e, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x1dc5dc4a, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xd29c9981, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x9acf7fae, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xa1fdf100, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xb991aa2d, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xc267726b, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x10782aab, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xb708d94c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x4daace6e, "cdev_device_del" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x70c5432b, "seq_lseek" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x413fe411, "get_device" },
	{ 0xc207d321, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xcaacf6d9, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x810af63c, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9a11f9ee, "rc_keyup" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xbc14e9, "rc_register_device" },
	{ 0x51a601f, "debugfs_remove" },
	{ 0xed2ea494, "rc_keydown" },
	{ 0xc08eb059, "kthread_stop" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf75ac141, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6b253ac3, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xb33f287d, "kthread_create_on_node" },
	{ 0x285f4c70, "rc_allocate_device" },
	{ 0x4e635b8d, "seq_read" },
	{ 0xe6fbc2bc, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x32a4da73, "seq_write" },
	{ 0x7bbceee7, "kobject_set_name" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9577b919, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa1bb89be, "single_release" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x435550c3, "single_open" },
	{ 0xdb5f749f, "debugfs_create_dir" },
	{ 0xaacc56dd, "rc_unregister_device" },
	{ 0x59229ca2, "cdev_init" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x841dd318, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "A2A8C1B82A5D07DC154C993");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
