#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xa9b85f50, "");
SYMBOL_CRC(gspca_dev_probe2, 0x96fce88e, "");
SYMBOL_CRC(gspca_dev_probe, 0x4cd517dc, "");
SYMBOL_CRC(gspca_disconnect, 0x88b43c84, "");
SYMBOL_CRC(gspca_suspend, 0x17c21c59, "");
SYMBOL_CRC(gspca_resume, 0x23f9fba0, "");
SYMBOL_CRC(gspca_expo_autogain, 0x1eae61aa, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xe47aa508, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9956359e, "vb2_queue_init" },
	{ 0xc96e7a8b, "input_allocate_device" },
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0x2664d26d, "video_ioctl2" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x533e83a6, "v4l2_device_put" },
	{ 0x17d57898, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x472819d8, "usb_alloc_coherent" },
	{ 0xbc463365, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6f00f1b1, "usb_ifnum_to_if" },
	{ 0xf11149ca, "vb2_ops_wait_finish" },
	{ 0xe18eab01, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x22a8c278, "vb2_ioctl_querybuf" },
	{ 0xda70903e, "v4l2_fh_open" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x90a6d55c, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xfdd50db9, "usb_clear_halt" },
	{ 0xc76c6166, "v4l2_ctrl_handler_setup" },
	{ 0xf4ff326, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x59ef4a19, "video_devdata" },
	{ 0x7451f73d, "vb2_queue_error" },
	{ 0x153d0d45, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x306208ce, "__v4l2_ctrl_s_ctrl" },
	{ 0xccddd39, "vb2_ioctl_dqbuf" },
	{ 0xd0deb365, "usb_free_coherent" },
	{ 0x900933ec, "vb2_ioctl_create_bufs" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x18989913, "vb2_buffer_done" },
	{ 0xdd7b4eed, "vb2_plane_vaddr" },
	{ 0xcaab2a85, "v4l2_ctrl_subscribe_event" },
	{ 0xddb014be, "usb_set_interface" },
	{ 0x66e36206, "video_unregister_device" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xfc5e5426, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9588bd9c, "vb2_fop_mmap" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x2941ba72, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x1cbccd0a, "v4l2_device_disconnect" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xac5d996d, "vb2_fop_read" },
	{ 0x2474f210, "v4l2_device_register" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xb255b90c, "__video_register_device" },
	{ 0x872ab306, "vb2_ops_wait_prepare" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4f400c19, "vb2_ioctl_streamon" },
	{ 0xf76fccc7, "vb2_fop_poll" },
	{ 0xcc22e2a5, "v4l2_ctrl_g_ctrl" },
	{ 0xd90e07bc, "v4l2_ctrl_handler_free" },
	{ 0xd201b8f2, "v4l2_device_unregister" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x20507ad1, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xea5b2b52, "v4l2_event_unsubscribe" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x96029849, "vb2_ioctl_reqbufs" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
