#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x2cb0bf93, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xf6a5d6fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x7dcdf4ad, "xsk_tx_completed" },
	{ 0xa7a5cfca, "napi_alloc_skb" },
	{ 0xd409216b, "alloc_etherdev_mqs" },
	{ 0x6875b9dc, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x83855b48, "pcie_capability_read_word" },
	{ 0x8da477b2, "device_set_wakeup_enable" },
	{ 0xd672a4c2, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9fadefe8, "flow_rule_match_enc_keyid" },
	{ 0x523960d5, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x81148d91, "pci_find_ext_capability" },
	{ 0xbd81dfef, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbbda03c, "xp_dma_map" },
	{ 0x3d24ffa5, "devlink_unregister" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0x63431986, "skb_copy_bits" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x44831bf, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xae1d491f, "pci_request_selected_regions" },
	{ 0x8ab1658, "pci_release_selected_regions" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0xabee99b1, "pci_wake_from_d3" },
	{ 0x9f41bda0, "pci_enable_device" },
	{ 0x26419de4, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x45b5c937, "auxiliary_device_init" },
	{ 0x33d40a7a, "pci_enable_device_mem" },
	{ 0x379e3632, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x407843be, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa31e273e, "xsk_tx_peek_release_desc_batch" },
	{ 0xcc2b7cf3, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8c3b9b50, "trace_raw_output_prep" },
	{ 0x8655ed3e, "bpf_warn_invalid_xdp_action" },
	{ 0x3d9892a, "ndo_dflt_bridge_getlink" },
	{ 0xf5d4a627, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x3d01315f, "xdp_convert_zc_to_xdp_frame" },
	{ 0x617ae731, "xdp_features_set_redirect_target" },
	{ 0x4bb1092d, "__trace_trigger_soft_disabled" },
	{ 0xcbb11f24, "pci_get_device" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xaab6e302, "dma_unmap_page_attrs" },
	{ 0xbe7e5676, "request_firmware" },
	{ 0x2d83234d, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x76837a89, "pci_num_vf" },
	{ 0xd02b983, "flow_rule_match_eth_addrs" },
	{ 0xd46be143, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb2696ee2, "pci_disable_msi" },
	{ 0x9ecf93d9, "ptp_clock_index" },
	{ 0xe447aced, "trace_event_raw_init" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xab1ddaba, "devlink_alloc_ns" },
	{ 0x11f22245, "devlink_register" },
	{ 0x49378a7d, "xdp_do_redirect" },
	{ 0x540e7a1b, "devlink_free" },
	{ 0x10ec8cd2, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1238977, "bpf_trace_run2" },
	{ 0x46af0d10, "netdev_warn" },
	{ 0xa88abeef, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8425597a, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0xf99b00d3, "flow_rule_match_ipv4_addrs" },
	{ 0xda6869d6, "__netif_napi_del" },
	{ 0x42751428, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xc82afdc0, "netdev_err" },
	{ 0x90309392, "pskb_expand_head" },
	{ 0x8752b126, "dev_driver_string" },
	{ 0xaae4c3d, "pci_restore_msi_state" },
	{ 0x8975d797, "trace_event_buffer_commit" },
	{ 0xd0c51ff0, "dev_addr_mod" },
	{ 0xe9456bf7, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd06abce1, "ptp_find_pin" },
	{ 0xf3a16d7, "eth_type_trans" },
	{ 0xd3b7a3e1, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x7a18ee99, "napi_complete_done" },
	{ 0xbeb95761, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5f7aa6b5, "priv_to_devlink" },
	{ 0xd1cd693d, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0x7aae1a4, "__napi_schedule" },
	{ 0xc5f8477, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf768a5fa, "pci_enable_msix_range" },
	{ 0xa8732ea, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xd4246d8f, "__free_pages" },
	{ 0x80c150a4, "__hw_addr_unsync_dev" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x20c4f4bd, "napi_gro_receive" },
	{ 0x4af4f3d4, "xdp_features_clear_redirect_target" },
	{ 0x7baea8d2, "pci_select_bars" },
	{ 0x11ff6ce5, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x48bf7335, "xp_raw_get_dma" },
	{ 0x9ccf8e09, "eth_get_headlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x65e3261d, "xdp_rxq_info_is_reg" },
	{ 0x3c18f8ed, "flow_block_cb_setup_simple" },
	{ 0x3c4e818f, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x36fe31a, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xfa41769c, "pci_enable_msi" },
	{ 0xc02a8c8f, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xca081e46, "devlink_port_unregister" },
	{ 0xc02d61c1, "devm_kfree" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x4f5f1ea0, "init_net" },
	{ 0x6d53601d, "softnet_data" },
	{ 0xe6775431, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xdaf410f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcc6c737a, "ptp_clock_register" },
	{ 0x4185e2eb, "ethtool_intersect_link_masks" },
	{ 0xdd9f3765, "__traceiter_xdp_exception" },
	{ 0x41ba7578, "netif_set_real_num_tx_queues" },
	{ 0xd52823e1, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x24a32c5e, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0x51a601f, "debugfs_remove" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0x3156d1af, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd060aef5, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xb8d1d80d, "dcbnl_ieee_notify" },
	{ 0x55ad83f3, "xsk_uses_need_wakeup" },
	{ 0x66df5ad1, "register_netdev" },
	{ 0x4968111, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x57eb8c89, "ida_free" },
	{ 0xa9288d24, "free_netdev" },
	{ 0x33d5dc8b, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x605db961, "dql_completed" },
	{ 0x254c9287, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe41fb2da, "ethtool_op_get_link" },
	{ 0xfad7fe, "eth_platform_get_mac_address" },
	{ 0xa3452fc1, "netif_set_xps_queue" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa05a04b6, "netif_tx_stop_all_queues" },
	{ 0xcf319c37, "pci_restore_state" },
	{ 0xff4927ab, "netif_tx_wake_queue" },
	{ 0x7be29fa0, "device_del" },
	{ 0xc0584838, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd84e982d, "dcb_getapp" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x29ad5ef0, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5dac982a, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xfba08ba2, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd58cfedc, "flow_rule_match_ipv6_addrs" },
	{ 0x1e01bafa, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4b6b2db0, "ptp_clock_unregister" },
	{ 0x7c7d688d, "__pskb_pull_tail" },
	{ 0x8330ea23, "xp_dma_unmap" },
	{ 0xee97e58e, "__dynamic_netdev_dbg" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x5cf83923, "netdev_unbind_sb_channel" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x91ae7d50, "bpf_trace_run3" },
	{ 0x975a9c1e, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc84ea25d, "ipv6_find_hdr" },
	{ 0xdf39affb, "netdev_bind_sb_channel_queue" },
	{ 0xe6fbc2bc, "debugfs_create_file" },
	{ 0xe7bf3e17, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca1b10e5, "netdev_reset_tc" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0x749f0b0b, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27c186fb, "__dma_sync_single_for_device" },
	{ 0x9b3a393e, "call_netdevice_notifiers" },
	{ 0xc2483c90, "xp_set_rxq_info" },
	{ 0x3066dab5, "flow_rule_match_vlan" },
	{ 0xb894aac8, "xdp_rxq_info_unreg" },
	{ 0x968d43e4, "napi_build_skb" },
	{ 0x355a0b5d, "__xdp_rxq_info_reg" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda461fe3, "netif_carrier_off" },
	{ 0xd145845, "devlink_priv" },
	{ 0xdfd27043, "__hw_addr_sync_dev" },
	{ 0x624add82, "devlink_port_register_with_ops" },
	{ 0x68e696b2, "pci_disable_sriov" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xd83e6c66, "netif_carrier_on" },
	{ 0xfcd3ccdc, "netdev_set_num_tc" },
	{ 0xee49ca4a, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6c7462c, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1a03ce02, "dev_uc_add_excl" },
	{ 0xd207602c, "pci_disable_device" },
	{ 0xad86ba2f, "xp_free" },
	{ 0x1f4d97a8, "dev_mc_add_excl" },
	{ 0x23a4628a, "dev_uc_add" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xecb2db8b, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xc066e285, "skb_add_rx_frag_netmem" },
	{ 0xb432c8a0, "xdp_master_redirect" },
	{ 0x780f04c0, "__napi_schedule_irqoff" },
	{ 0xb313bb4e, "napi_schedule_prep" },
	{ 0xcc7770c, "napi_consume_skb" },
	{ 0x232b35e3, "pci_read_config_byte" },
	{ 0x1190bb13, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x465ab6fb, "napi_disable" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0x5f510e26, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x349cba85, "strchr" },
	{ 0xdb5f749f, "debugfs_create_dir" },
	{ 0xb866471f, "flow_rule_match_control" },
	{ 0xce6c0167, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x68978abb, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd5cced5c, "ethtool_op_get_ts_info" },
	{ 0x78a9e905, "_numa_mem_" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x1b7d3960, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd779ce09, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B78B6A37EF6EF43DD1DE851");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
