#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x9368701b, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xb23d1b52, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x1204f1bc, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xf94e234f, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x734265f8, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x854920f8, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x59ce32bc, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x53503ecd, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x5a1a6153, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x05bd1d56, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x1db66f9e, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xa6fb8662, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x271e8a22, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x9cb33297, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x62c0829e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xfd42e59f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xb71fc363, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x8dface1d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xaf036381, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x360a4645, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x4592e925, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x1f054b44, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xd39e8619, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x91ead809, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x4af57490, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xec0b2fbd, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x6d1c0a7d, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x40c7428e, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xd4cc9351, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x5e08ef0c, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xa1ef1be4, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x641aa6cd, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x3dfc3bae, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xe52e7e86, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x2e79a75c, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x399e8682, "");
SYMBOL_CRC(mlx4_test_async, 0x20ba45cd, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x93236a90, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x57d8c851, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x869e27fd, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xf1ad7027, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x69e5cca1, "");
SYMBOL_CRC(mlx4_assign_eq, 0x7a068a16, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xb8903ea5, "");
SYMBOL_CRC(mlx4_release_eq, 0xb3ecfd39, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x85173945, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xb4f0e615, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xb436eac6, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xc266b1cb, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xf5f6bbd8, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x3875b1da, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x6b7b23f1, "");
SYMBOL_CRC(mlx4_wol_read, 0xdd5a5e2b, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x8273a3b4, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x4623f82d, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x300b580c, "");
SYMBOL_CRC(set_phv_bit, 0xb4ab81da, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x93df4c41, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xcb043597, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x2ccd9f87, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x08721359, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xae3842a9, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x4a244eef, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x69f35aa8, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x31f12fec, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xebc6ff6c, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x7f7c4212, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x87b4e6fc, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x7b5f2651, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x2431bfed, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x1bb23760, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xca8ee0ef, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x72a3d7dd, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x70e2885d, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x329ee075, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x97088caa, "");
SYMBOL_CRC(mlx4_read_clock, 0x0f741259, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x11eb1991, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x0b58db31, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x49a4a53c, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x58a2d937, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x81647134, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x64d20c20, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x92b0dc32, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x5b7f2578, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x235d52bf, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xca6ed23c, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x2b5d3cd7, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x49571059, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xb9abdf0d, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x543bc2d6, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xc866ea6e, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xe73c860b, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x3bf08811, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x12b27daa, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x4b54c7f6, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xdd456282, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xe8e1147b, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x68ed2438, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x5e06ac51, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xf00cc9f4, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xf7b88c41, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x7cde018f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xf3f65955, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x566b3119, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x4a746a07, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x9a85587b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xcb9d9792, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x4eabb931, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xcc25c9f4, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xbfca497d, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x0d6774d3, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xdd92717a, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x92b0eae5, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xe33ddc34, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x8bc2dc38, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x5d303916, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x5f473fb6, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x89912982, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x2a4f52d3, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x81af88e3, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xb74ec660, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x38447cb9, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x36a69dfc, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x53716e90, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xce365bc4, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x321477af, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x89364054, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x44033645, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x4e92d98b, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x0c98547a, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x37da75c4, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x4b2914c5, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xf7de3771, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xc707ab82, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xfdf215cc, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x61a110cb, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xd96367e4, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xabb11815, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x80cd0e67, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xf57cc2d2, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x5110a1df, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xf7f149a0, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x78fe2612, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x252b473e, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x8923b260, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x078861a8, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x1434be70, "");
SYMBOL_CRC(mlx4_get_module_info, 0xedd35124, "");
SYMBOL_CRC(mlx4_max_tc, 0xb165e700, "");
SYMBOL_CRC(mlx4_put_qp, 0x23e36fc6, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x7ddeda3d, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x08b2e010, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x8bd3f8f8, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x651c22c5, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xfc1b3ac4, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xd79a8618, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x3b91eb8f, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x9d49e8ed, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xd38c2825, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x3f4d0c25, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xa1ff814b, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x270298b2, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x67669142, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xe352ee9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6875b9dc, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5bf00b50, "pcie_capability_write_word" },
	{ 0x523960d5, "vmemmap" },
	{ 0x1ac31b45, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc397716, "devl_region_create" },
	{ 0x3d24ffa5, "devlink_unregister" },
	{ 0x70d85a84, "dma_pool_create" },
	{ 0x2bd2b5de, "radix_tree_insert" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x9f41bda0, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x45b5c937, "auxiliary_device_init" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4768aa8, "devlink_region_snapshot_id_get" },
	{ 0x358b15c4, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2db194e2, "radix_tree_lookup" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x96848186, "scnprintf" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0xa40fd7dc, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x76837a89, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc1ffa3be, "param_array_ops" },
	{ 0xab3d8d05, "pci_request_regions" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xab1ddaba, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xb0ffef4e, "pci_sriov_get_totalvfs" },
	{ 0x11f22245, "devlink_register" },
	{ 0x18c55af6, "devlink_port_type_clear" },
	{ 0x540e7a1b, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc4f92804, "param_ops_byte" },
	{ 0x413fe411, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x916758a3, "node_states" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x8f7f5b92, "pci_read_config_dword" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x8166b4ff, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xbeb95761, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xcc70b841, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5f7aa6b5, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81e523b2, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xf768a5fa, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xd4246d8f, "__free_pages" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x800473f, "__cond_resched" },
	{ 0x19305059, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4c0f6431, "radix_tree_delete" },
	{ 0x36fe31a, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf6792daf, "down_write" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x4f5f1ea0, "init_net" },
	{ 0x75574cc1, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xd52823e1, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xec88caff, "down" },
	{ 0xc4465a90, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x37809a51, "devl_params_register" },
	{ 0x254c9287, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xcf319c37, "pci_restore_state" },
	{ 0x7be29fa0, "device_del" },
	{ 0xaf417b02, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xc2d6048, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xca46d5ff, "atomic_notifier_call_chain" },
	{ 0xa2b7fbbe, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0xad25e4ac, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0xc39dac90, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x453aadc6, "pci_release_regions" },
	{ 0x27c186fb, "__dma_sync_single_for_device" },
	{ 0x86cc9222, "devl_assert_locked" },
	{ 0xc7f4b220, "pcie_print_link_status" },
	{ 0xb3e7b5a3, "devl_port_unregister" },
	{ 0x8ec3cf81, "devl_param_driverinit_value_get" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd145845, "devlink_priv" },
	{ 0x68e696b2, "pci_disable_sriov" },
	{ 0xb6c7462c, "pci_disable_msix" },
	{ 0xd51e33b2, "alloc_pages_noprof" },
	{ 0xd207602c, "pci_disable_device" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x1eea65d5, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5c46f659, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x82ad290e, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x4a55c8ea, "ioremap_wc" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xce6c0167, "pci_enable_sriov" },
	{ 0x49180e5f, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78a9e905, "_numa_mem_" },
	{ 0xe91807eb, "pci_write_config_dword" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x2f5fb6d0, "device_remove_file" },
	{ 0xfc1b100b, "dma_map_sg_attrs" },
	{ 0xa44b7c15, "devl_param_value_changed" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
