#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x444e4b33, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x9dfa3927, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x0c25a607, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x31b7e861, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x263ea7e9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0xb9eca190, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x0499cb61, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xaafe3e9c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xea9c3418, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0xc6aa0984, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xd5b4334d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x55c58aa1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x071ec3dd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0xa0ee8bcb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xa0e15308, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x4799d3a5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x4c317e1a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xf30973cd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xc8f39c6c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0xc6beb331, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x2ab8ec53, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x120dd5ee, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0xe05983f6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x1deb5278, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0xde0e9d74, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0xead6c9a4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x0787ca7e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0xb4889b83, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x835edf9e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x5a86b364, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0xa9a79e68, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x8ede6008, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x5e2b8674, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x37d49d5a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0xe1f22098, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x88270f77, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0xbae790fc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0xa3189a97, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xfc4dd557, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x13861a6c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x28bc901c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xba3a813e, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x0d1ae3b6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x2f57b6df, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x8816416b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x68f80940, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x8384b3e2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xa269d144, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x6997c270, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0xd589d433, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x1d37847c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x64aa68cb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x4fce61bd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x4c85da29, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x59268434, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x437a5273, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x7ff275b7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x71059508, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xff3f3a01, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xa8aac4fc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0x77da0442, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x7d2f94bb, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xd0adf707, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0xcd1142cd, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x9413c754, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xf9b1a0a6, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x468ed8d5, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0xc273cdf5, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x7c40a71b, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xa85586f3, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0xe8fd8540, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x8714132c, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x00046c69, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x0b7b41fb, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x1ff30eb2, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0xc5357997, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x58316d8d, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xcb1acc35, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x966538c2, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x6e227c6f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xe34b9b98, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x88b3c9ea, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x0daf877a, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xd9d660b1, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0xc6820ba8, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0x2e029b46, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a96aff4, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x379e3632, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea0007a8, "mt76_tx_status_skb_get" },
	{ 0x88b63acc, "mt76_tx_status_lock" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xaab6e302, "dma_unmap_page_attrs" },
	{ 0xbe7e5676, "request_firmware" },
	{ 0x1c35bc86, "mt76_get_rate" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x140b556b, "__mt76_tx_complete_skb" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x7abaf644, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc207d321, "wake_up_process" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x7c43bd0d, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x38a26f6f, "mt76_tx" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0x216d960a, "mt76_init_queue" },
	{ 0xce94b2a4, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc02d61c1, "devm_kfree" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x5cf3756a, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x6afb6c84, "skb_push" },
	{ 0xb617c041, "ieee80211_wake_queues" },
	{ 0x61fb9585, "mt76_mcu_send_and_get_msg" },
	{ 0xf0307602, "ieee80211_iter_keys_rcu" },
	{ 0xf9d41753, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x78dff51d, "__mt76_mcu_send_firmware" },
	{ 0xea943178, "ieee80211_stop_queues" },
	{ 0x2df50b0, "jiffies" },
	{ 0x48e89a1e, "mt76_get_rate_power_limits" },
	{ 0x9a5b48ea, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x185c5fe5, "mt76_get_sar_power" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xc81d6887, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "DA2461748C406A942A88485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
