#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7baff1ae, "mt792x_poll_tx" },
	{ 0x7ab47270, "devm_request_threaded_irq" },
	{ 0xf325101b, "mt792x_dma_disable" },
	{ 0xf8cd5687, "pci_alloc_irq_vectors" },
	{ 0x407843be, "netif_napi_add_weight" },
	{ 0x1f2c0737, "mt792x_mcu_drv_pmctrl" },
	{ 0xb7b41fb, "mt76_connac_init_tx_queues" },
	{ 0xf97572ee, "mt76_tx_status_skb_add" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0x21055b7e, "mt7925_mac_init" },
	{ 0x8714132c, "mt76_connac_write_hw_txp" },
	{ 0xcedc1157, "mt7925_mcu_set_deep_sleep" },
	{ 0x1320992f, "mt792x_dma_cleanup" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x9c97ce84, "mt7925_mac_sta_assoc" },
	{ 0xe8fd8540, "mt76_connac_tx_complete_skb" },
	{ 0x45ef96ca, "kthread_park" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0x60db2f9f, "mt76_alloc_device" },
	{ 0xc207d321, "wake_up_process" },
	{ 0xc273cdf5, "mt76_connac_free_pending_tx_skbs" },
	{ 0xa9080202, "skb_queue_purge_reason" },
	{ 0xaabf7e4a, "mt7925_mac_sta_remove" },
	{ 0x74a28799, "mt7925_ops" },
	{ 0x35afe06, "__mt7925_start" },
	{ 0xfb67d03d, "mt792x_poll_rx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88f3c262, "mt792x_wpdma_reset" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x952dcb52, "devm_free_irq" },
	{ 0x7aae1a4, "__napi_schedule" },
	{ 0x75933652, "mt792xe_mcu_fw_pmctrl" },
	{ 0x5e84a803, "mt76_pci_aspm_supported" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x23df8e48, "mt76_pci_disable_aspm" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x346b669c, "mt76_free_device" },
	{ 0xcdfa5708, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd326b8e0, "mt792x_wpdma_reinit_cond" },
	{ 0x216d960a, "mt76_init_queue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb848c96f, "pcim_iomap_regions" },
	{ 0x7fd2a821, "devm_kmemdup" },
	{ 0xbd22e98c, "mt792x_irq_handler" },
	{ 0x6aea97c6, "mt7925_txwi_free" },
	{ 0xfc0879ce, "mt792x_dma_enable" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0x3156d1af, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x44f2f7d, "__mt792xe_mcu_drv_pmctrl" },
	{ 0xa5afb0ce, "mt76_mmio_init" },
	{ 0xb83b1b4e, "mt7925_run_firmware" },
	{ 0x88b1dc7b, "mt7925_mac_sta_add" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x828bfb70, "mt76_unregister_device" },
	{ 0x64376076, "mt76_set_irq_mask" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x3e2f7683, "mt7925_mac_write_txwi" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0xbeaf754d, "mt7925_mcu_set_eeprom" },
	{ 0xf303e813, "mt7925_register_device" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5d223811, "mt792x_wfsys_reset" },
	{ 0x345b6ad, "mt76_token_consume" },
	{ 0x8aad8d9, "mt792xe_mcu_drv_pmctrl" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2e22633e, "mt76_txq_schedule_all" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x8e471e29, "mt792x_irq_tasklet" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5d3afb98, "mt792x_update_channel" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x5d98cc3c, "mt792x_rx_poll_complete" },
	{ 0x1cdb10cc, "mt792x_get_mac80211_ops" },
	{ 0xa208ae32, "mt7925_mcu_parse_response" },
	{ 0x99e4c992, "mt7925_mcu_fill_message" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x4fce61bd, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x80373ffd, "mt792x_reset" },
	{ 0x7a9c4c78, "pcim_iomap_table" },
	{ 0xb313bb4e, "napi_schedule_prep" },
	{ 0x465ab6fb, "napi_disable" },
	{ 0xbe46151b, "__mt76_poll" },
	{ 0xbf7ebd2c, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xef433d86, "pci_write_config_word" },
	{ 0x4303b0b7, "mt76_dma_attach" },
	{ 0xfe745d97, "pci_free_irq_vectors" },
	{ 0xde9f776f, "mt7925_rx_check" },
	{ 0x959de879, "mt7925_roc_abort_sync" },
	{ 0x44f29bcc, "mt792x_mcu_fw_pmctrl" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x94f1fd34, "mt7925_queue_rx_skb" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "mt792x-lib,mt76-connac-lib,mt76,mt7925-common");

MODULE_ALIAS("pci:v000014C3d00007925sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00000717sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A31652DDE216D7EC475EF1D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
