#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0xeb8cacc0, "rt2x00pci_probe" },
	{ 0x2dba276a, "__iowrite32_copy" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0x8fd9fef3, "rt2800_mcu_request" },
	{ 0x8e2d0371, "rt2800_efuse_detect" },
	{ 0x531949c3, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x184a986b, "rt2800mmio_toggle_irq" },
	{ 0xe8cef08b, "rt2800mmio_enable_radio" },
	{ 0xad21dfbc, "rt2x00pci_remove" },
	{ 0xfe8bed6c, "rt2x00pci_pm_ops" },
	{ 0x3fc6c409, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x69a39aa3, "rt2800mmio_probe_hw" },
	{ 0xccbfc7a3, "rt2800_check_firmware" },
	{ 0xf01893bb, "rt2800_load_firmware" },
	{ 0x605b89bc, "rt2x00mmio_initialize" },
	{ 0xfd0075dd, "rt2x00mmio_uninitialize" },
	{ 0x408d83, "rt2800mmio_get_entry_state" },
	{ 0x532769ab, "rt2800mmio_clear_entry" },
	{ 0x8a5d1c18, "rt2800_rfkill_poll" },
	{ 0x70ec8d21, "rt2800_link_stats" },
	{ 0x6daefd5a, "rt2800_reset_tuner" },
	{ 0x71b339b4, "rt2800_link_tuner" },
	{ 0x5b4e144f, "rt2800_gain_calibration" },
	{ 0x8810f74a, "rt2800_vco_calibration" },
	{ 0xa35191e4, "rt2800_watchdog" },
	{ 0xf0b1e4c7, "rt2800mmio_start_queue" },
	{ 0x5a434b4e, "rt2800mmio_kick_queue" },
	{ 0xd36ecbf4, "rt2800mmio_stop_queue" },
	{ 0x1b13c9ef, "rt2800mmio_flush_queue" },
	{ 0x5a6af457, "rt2800mmio_write_tx_desc" },
	{ 0xf2e85ae4, "rt2800_write_tx_data" },
	{ 0x7cd7ef5f, "rt2800_write_beacon" },
	{ 0xee44d77d, "rt2800_clear_beacon" },
	{ 0x38aba82f, "rt2800mmio_fill_rxdone" },
	{ 0x9f5c4f88, "rt2800_config_shared_key" },
	{ 0xe57b8808, "rt2800_config_pairwise_key" },
	{ 0xa10a1261, "rt2800_config_filter" },
	{ 0x8852dea9, "rt2800_config_intf" },
	{ 0x85b60478, "rt2800_config_erp" },
	{ 0xde6c628a, "rt2800_config_ant" },
	{ 0xfa183364, "rt2800_config" },
	{ 0x5a55bb9f, "rt2800_pre_reset_hw" },
	{ 0x7e910809, "rt2x00mmio_regbusy_read" },
	{ 0xc9a5a984, "rt2800mmio_init_registers" },
	{ 0x9c886008, "rt2800mmio_get_txwi" },
	{ 0xe7b090b, "rt2800mmio_get_dma_done" },
	{ 0x2ed5c495, "rt2x00mac_tx" },
	{ 0x7b03c78c, "rt2x00mac_start" },
	{ 0xcbf51347, "rt2x00mac_stop" },
	{ 0xc53fba25, "rt2x00mac_add_interface" },
	{ 0x8d33d0e6, "rt2x00mac_remove_interface" },
	{ 0x26ac78f2, "rt2x00mac_config" },
	{ 0x1c1a179e, "rt2x00mac_bss_info_changed" },
	{ 0xdb1b5d5c, "rt2x00mac_configure_filter" },
	{ 0x7dbc6c9a, "rt2x00mac_set_key" },
	{ 0x5b345ce, "rt2x00mac_sw_scan_start" },
	{ 0x9fc3a6a3, "rt2x00mac_sw_scan_complete" },
	{ 0xb898927, "rt2x00mac_get_stats" },
	{ 0x8570699b, "rt2800_get_key_seq" },
	{ 0xa10d8c33, "rt2800_set_rts_threshold" },
	{ 0x3304da45, "rt2800_sta_add" },
	{ 0xfcc4eeb8, "rt2800_sta_remove" },
	{ 0xa59c138e, "rt2800_conf_tx" },
	{ 0x55e7c97, "rt2800_get_tsf" },
	{ 0x1a5088d4, "rt2800_ampdu_action" },
	{ 0xddd1d1ef, "rt2800_get_survey" },
	{ 0x5c9d5be4, "rt2x00mac_rfkill_poll" },
	{ 0xff7c03cb, "rt2x00mac_flush" },
	{ 0x4454f83, "rt2x00mac_get_ringparam" },
	{ 0x22e8c9a4, "rt2x00mac_tx_frames_pending" },
	{ 0xef2a3c75, "ieee80211_emulate_add_chanctx" },
	{ 0x3454ecec, "ieee80211_emulate_remove_chanctx" },
	{ 0x164e2a9, "ieee80211_emulate_change_chanctx" },
	{ 0xcccd9982, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf1440282, "rt2x00mac_reconfig_complete" },
	{ 0x323a75ca, "ieee80211_handle_wake_tx_queue" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "rt2x00pci,rt2800lib,eeprom_93cx6,rt2800mmio,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "51B0FD4BC07C079C81C35A2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
