#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0xb54c4f54, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0x2770df56, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0x4aead9df, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0x16546002, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x09529cdb, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0xccb5f5cf, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0xc7c64335, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0x39503c80, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0xb56ccf48, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0x2123d973, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0x3732a6a8, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0x268f8115, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0xcaaad818, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0x99cf1110, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0x8ec1e835, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0xdd22e65d, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0x47e3829b, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0x2f4126d6, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0xec27226b, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0x2c4da249, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0x824cc36c, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0x41f5a97f, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x7fafc2af, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0xbd1c74d7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb528850, "_rtl_dbg_print" },
	{ 0x92997ed8, "_printk" },
	{ 0x446dd6ad, "rtl_fw_page_write" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "168ABD5B1AB8C27EE0F47E6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
