#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_boot_create_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_initiator, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_ethernet, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_acpitbl, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_kset, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_create_host_kset, "_gpl", "");
KSYMTAB_FUNC(iscsi_boot_destroy_kset, "_gpl", "");

SYMBOL_CRC(iscsi_boot_create_target, 0x3515755a, "_gpl");
SYMBOL_CRC(iscsi_boot_create_initiator, 0xb84f2364, "_gpl");
SYMBOL_CRC(iscsi_boot_create_ethernet, 0xd9ad528a, "_gpl");
SYMBOL_CRC(iscsi_boot_create_acpitbl, 0x1a782563, "_gpl");
SYMBOL_CRC(iscsi_boot_create_kset, 0xbb8dbab4, "_gpl");
SYMBOL_CRC(iscsi_boot_create_host_kset, 0x448fa594, "_gpl");
SYMBOL_CRC(iscsi_boot_destroy_kset, 0x2116f510, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x5db72728, "sysfs_remove_group" },
	{ 0x8c14fce6, "kobject_put" },
	{ 0x8856e669, "kset_unregister" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xd6b6ac09, "firmware_kobj" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x929c283, "kset_create_and_add" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5fe6e76a, "kobject_init_and_add" },
	{ 0x6948c94e, "sysfs_create_group" },
	{ 0xf809c99, "kobject_uevent" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C20997ECCE1CF436DF99F29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
