#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x74091118, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x6306099d, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xfa95385e, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x1a413f28, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x38becaf0, "");
SYMBOL_CRC(sas_resume_ha, 0x4cd2d8cb, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x94ccbe83, "");
SYMBOL_CRC(sas_suspend_ha, 0xfb3839ef, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xcbeb5c1b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x74344716, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xb636f32d, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xdf878dc1, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x0ed7dd21, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xfcc5b595, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xb4b24c30, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xcbe95064, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x12957a7d, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x9d35bcdd, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x9031f189, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x180717e9, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x81280368, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x21c9bc8c, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xfe14379a, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x37a80730, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xb6cc10ce, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x56880cee, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0xce51f5c0, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x9889fec6, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x289a28cb, "_gpl");
SYMBOL_CRC(sas_query_task, 0xd8d1fbae, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xcc9b1489, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x43e71bc8, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x9be9e708, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x3c4249a4, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x2b597fcd, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x6210890a, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x20ecf3cc, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x837246bc, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xf7b3bc40, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xbc8c8a50, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x18d84b1f, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x181fdbe, "ata_qc_complete" },
	{ 0x61538138, "ata_sas_scsi_ioctl" },
	{ 0xa8598b1c, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7dd130d, "sas_rphy_remove" },
	{ 0xd0a3029b, "ata_sas_device_configure" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa0bb0af5, "bsg_job_done" },
	{ 0x55386bcf, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x9ea1cbcb, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xb825549a, "scsi_schedule_eh" },
	{ 0xbe7e5676, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xe8fbe1df, "ata_ncq_prio_enabled" },
	{ 0xdf7c3b01, "ata_host_init" },
	{ 0x9518a984, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a4241db, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb932e15d, "sas_port_get_phy" },
	{ 0xe035779e, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0x413fe411, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x931dc4ed, "ata_wait_after_reset" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xae684056, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x7d6f4115, "sas_phy_free" },
	{ 0x2fb98383, "scsi_eh_finish_cmd" },
	{ 0xa52bab37, "ata_noop_qc_prep" },
	{ 0x99c38e7a, "ata_port_schedule_eh" },
	{ 0x800473f, "__cond_resched" },
	{ 0x41d7df81, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x1dc62b3e, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x610346b9, "sas_port_mark_backlink" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0xeaeb1eeb, "ata_link_abort" },
	{ 0x6f1179ad, "ata_std_qc_defer" },
	{ 0x6a33e6f7, "ata_scsi_port_error_handler" },
	{ 0xc19bc077, "ata_change_queue_depth" },
	{ 0x1ca95502, "ata_port_probe" },
	{ 0xb2ba2c7, "ata_std_error_handler" },
	{ 0x649d47b8, "ata_port_free" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x4f5b1cad, "sas_end_device_alloc" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1cc2350b, "sas_read_port_mode_page" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xace66293, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x3512061e, "sas_rphy_delete" },
	{ 0x8b1fbea, "scsi_is_host_device" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x7cb577eb, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xb581476, "scsi_host_busy" },
	{ 0x6604b910, "sas_port_delete" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f2ff0aa, "ata_sas_port_suspend" },
	{ 0xbda06db3, "sas_rphy_add" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0x5df7426a, "sas_port_delete_phy" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c7e930, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3dc00cda, "sas_port_add_phy" },
	{ 0x52b689f6, "ata_scsi_cmd_error_handler" },
	{ 0x25976052, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x2833a4dc, "blk_mq_tagset_busy_iter" },
	{ 0x47fab914, "scsi_done" },
	{ 0xa6c9b637, "scsi_unblock_requests" },
	{ 0x9d49b28e, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x8d2add17, "ata_host_put" },
	{ 0x634f682d, "sas_port_free" },
	{ 0x205d87e2, "ata_std_sched_eh" },
	{ 0x1c88917a, "ata_port_alloc" },
	{ 0x57516cc2, "scsi_block_requests" },
	{ 0x7fd6a518, "blk_abort_request" },
	{ 0x26aee29, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x886c3273, "sas_remove_children" },
	{ 0x829bce9f, "scsi_change_queue_depth" },
	{ 0x36247eff, "__pm_runtime_idle" },
	{ 0x4627b2ea, "ata_port_wait_eh" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D36CFE3B73203B6DD92451C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
