#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x886c3273, "");
SYMBOL_CRC(sas_remove_host, 0x1f2a5916, "");
SYMBOL_CRC(sas_get_address, 0xdbc8810f, "");
SYMBOL_CRC(sas_tlr_supported, 0x77b6f078, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xbff1dc1a, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xff296ada, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x9b98d038, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xf8e53694, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xae684056, "");
SYMBOL_CRC(sas_phy_add, 0x9d49b28e, "");
SYMBOL_CRC(sas_phy_free, 0x7d6f4115, "");
SYMBOL_CRC(sas_phy_delete, 0xb5fd8753, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xc20062ce, "");
SYMBOL_CRC(sas_port_alloc, 0x9518a984, "");
SYMBOL_CRC(sas_port_alloc_num, 0xf35ab8cf, "");
SYMBOL_CRC(sas_port_add, 0x1dc62b3e, "");
SYMBOL_CRC(sas_port_free, 0x634f682d, "");
SYMBOL_CRC(sas_port_delete, 0x6604b910, "");
SYMBOL_CRC(scsi_is_sas_port, 0xa7f8e6be, "");
SYMBOL_CRC(sas_port_get_phy, 0xb932e15d, "");
SYMBOL_CRC(sas_port_add_phy, 0x3dc00cda, "");
SYMBOL_CRC(sas_port_delete_phy, 0x5df7426a, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x610346b9, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x1cc2350b, "");
SYMBOL_CRC(sas_end_device_alloc, 0x4f5b1cad, "");
SYMBOL_CRC(sas_expander_alloc, 0xace66293, "");
SYMBOL_CRC(sas_rphy_add, 0xbda06db3, "");
SYMBOL_CRC(sas_rphy_free, 0x07c7e930, "");
SYMBOL_CRC(sas_rphy_delete, 0x3512061e, "");
SYMBOL_CRC(sas_rphy_unlink, 0x9ea1cbcb, "");
SYMBOL_CRC(sas_rphy_remove, 0xa7dd130d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xbe2f6af9, "");
SYMBOL_CRC(sas_attach_transport, 0x7cb577eb, "");
SYMBOL_CRC(sas_release_transport, 0xa67fe5c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62aceab, "device_for_each_child" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e9c6db0, "device_add" },
	{ 0xf78a561e, "transport_add_device" },
	{ 0x274fc31d, "transport_configure_device" },
	{ 0x7be29fa0, "device_del" },
	{ 0xe236c393, "transport_destroy_device" },
	{ 0xb0567b21, "transport_remove_device" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x413fe411, "get_device" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xa5987305, "sysfs_remove_link" },
	{ 0xe535a112, "sysfs_create_link" },
	{ 0x82ad290e, "_dev_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0xf2b505, "scsi_scan_target" },
	{ 0xe73e49b2, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x47e60f7f, "transport_class_register" },
	{ 0x865c7e2d, "transport_class_unregister" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x5717772c, "attribute_container_register" },
	{ 0x80e2d6f0, "scsi_get_vpd_page" },
	{ 0xa54f5b2, "scsi_mode_sense" },
	{ 0xae6d305c, "attribute_container_unregister" },
	{ 0xeb1f8b9b, "scsi_remove_host" },
	{ 0xa965b5aa, "bsg_remove_queue" },
	{ 0x53fa69ca, "scsi_remove_target" },
	{ 0x8b1fbea, "scsi_is_host_device" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xa0bb0af5, "bsg_job_done" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xdc9f6085, "dma_opt_mapping_size" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xa3981857, "transport_setup_device" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
