#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x82f79c71, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x9cd327ef, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x9727ab5c, "");
SYMBOL_CRC(usb_serial_resume, 0x24dd3d99, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x29dd91ae, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x96ecda3b, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x9ec4e0ea, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x3d45f45e, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x7c3eba70, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x8c4b810b, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x82d5c090, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x7195202a, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x43607230, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x82456508, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x0a117ca9, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x240ef4fc, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x8a94f7e5, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x62a38154, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xf03aa4e2, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xa4046e40, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x48c5db42, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x7620d7b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e69ea28, "usb_put_intf" },
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0x2c570811, "usb_autopm_put_interface" },
	{ 0x4bc76997, "try_module_get" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xc64ac6dd, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x736105fd, "tty_flip_buffer_push" },
	{ 0x8afb13c8, "driver_attach" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xdbd2e434, "tty_kref_put" },
	{ 0x8666b8c7, "usb_register_driver" },
	{ 0x615855c2, "usb_match_one_id" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xdad6f658, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x40cb1d6f, "__tty_alloc_driver" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x6ef976ee, "tty_standard_install" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xe213706e, "usb_show_dynids" },
	{ 0xd0a6c86f, "tty_hangup" },
	{ 0x1a7795b8, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xf502c117, "tty_termios_copy_hw" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0x53f4b34, "usb_get_intf" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x5b672def, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xeaf6375d, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xd1cd084, "usb_get_dev" },
	{ 0x38fb9933, "tty_std_termios" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x53addaa6, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7536f17d, "module_put" },
	{ 0x302bdc48, "tty_port_tty_wakeup" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xd6de19da, "usb_match_id" },
	{ 0xfc9094b2, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x4e9c6db0, "device_add" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x1ae80187, "tty_ldisc_ref" },
	{ 0x10f5ca85, "tty_vhangup" },
	{ 0xfa1b5d0, "__tty_insert_flip_string_flags" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xbbc7b5c9, "tty_port_destroy" },
	{ 0xde9838ac, "tty_port_init" },
	{ 0x18957a27, "usb_driver_claim_interface" },
	{ 0xa69f4a18, "seq_putc" },
	{ 0x29b057eb, "usb_poison_urb" },
	{ 0x7f8443fe, "usb_unpoison_urb" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0x4cfdb4a8, "tty_port_register_device" },
	{ 0xc7f5f57e, "tty_ldisc_deref" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x39470cc6, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x7be29fa0, "device_del" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x5c747c3e, "tty_port_close" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x2df50b0, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xecd0fc35, "usb_autopm_get_interface" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xed8c2351, "tty_register_driver" },
	{ 0x32a4da73, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x41ed1fe6, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9577b919, "seq_printf" },
	{ 0xf79c622b, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x79162e32, "driver_register" },
	{ 0x642ab398, "tty_driver_kref_put" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x841dd318, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44405b17, "tty_port_tty_get" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "FFCDBD8725DF63D0BD749A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
