#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2bfa3abe, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x91d70309, "truncate_inode_pages" },
	{ 0xebb617b0, "folio_invalidate" },
	{ 0x9262d351, "inode_update_timestamps" },
	{ 0x7e003c1, "inode_init_owner" },
	{ 0x1fb7e7bf, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x16625594, "vfs_fsync_range" },
	{ 0x64cb1aa8, "setattr_prepare" },
	{ 0x8cdf4f86, "filemap_migrate_folio" },
	{ 0xe8c3bd09, "bdev_file_open_by_path" },
	{ 0xc8323acb, "shrinker_alloc" },
	{ 0xb50a5389, "clear_nlink" },
	{ 0xf57c3b42, "sync_blockdev_range" },
	{ 0x89801ed, "file_check_and_advance_wb_err" },
	{ 0xe38d9ce3, "filemap_flush" },
	{ 0xf886395b, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3f6adf8c, "filemap_get_folios_tag" },
	{ 0x946a23b5, "default_amr" },
	{ 0x36a42a1b, "wbc_detach_inode" },
	{ 0x523960d5, "vmemmap" },
	{ 0x1ac31b45, "__init_rwsem" },
	{ 0x2ca34c2a, "d_instantiate" },
	{ 0xdc1694bf, "_copy_to_iter" },
	{ 0xfb396163, "fsverity_ioctl_enable" },
	{ 0x7a69ee02, "pagecache_isize_extended" },
	{ 0x2d3091e5, "misc_deregister" },
	{ 0xeed63c7f, "__bio_add_page" },
	{ 0x3ce37bf1, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdcf1e05b, "clear_inode" },
	{ 0x94a77c22, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x9b06cc46, "filemap_range_has_page" },
	{ 0x2bd2b5de, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14d700d5, "simple_dir_inode_operations" },
	{ 0xf5ad9015, "__percpu_counter_init_many" },
	{ 0x1fcf5df4, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x144cd561, "__fsverity_cleanup_inode" },
	{ 0xad825525, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4927a25, "fs_param_is_string" },
	{ 0x7fda2639, "__folio_batch_release" },
	{ 0x696a22d9, "folio_unlock" },
	{ 0xa83bd2a1, "set_blocksize" },
	{ 0x8553dc3d, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x1db038b9, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa5084dcd, "filemap_map_pages" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdab36c47, "try_to_writeback_inodes_sb" },
	{ 0xa26de5a2, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8c3b9b50, "trace_raw_output_prep" },
	{ 0x8c486806, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe0577e27, "init_special_inode" },
	{ 0xb40c1691, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x123a95bd, "import_iovec" },
	{ 0x56fe14c0, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xff11dbb4, "generic_error_remove_folio" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0xb40b06ca, "filemap_fdatawrite_range" },
	{ 0x4bb1092d, "__trace_trigger_soft_disabled" },
	{ 0x2db194e2, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0xe69c3759, "bio_add_folio_nofail" },
	{ 0xaae8313d, "d_make_root" },
	{ 0x2d83234d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x41d6507d, "__fsverity_file_open" },
	{ 0x7c5f88af, "__xa_erase" },
	{ 0x1057a279, "bsearch" },
	{ 0x452c6edd, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0xdea66cb4, "xas_find" },
	{ 0x366a5919, "invalidate_mapping_pages" },
	{ 0xa40fd7dc, "up" },
	{ 0x9f5b3b6a, "refcount_dec_and_mutex_lock" },
	{ 0x123710ff, "sync_filesystem" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0xc151d1ae, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xa65c20f5, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x54d26d7b, "percpu_counter_destroy_many" },
	{ 0xa2e6082d, "sget_fc" },
	{ 0x7a45652d, "d_splice_alias" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0xcbadb4f8, "current_time" },
	{ 0xe447aced, "trace_event_raw_init" },
	{ 0x892ba8e2, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc8c543d6, "from_vfsuid" },
	{ 0x83cefb2c, "ihold" },
	{ 0x855b931f, "fsverity_verify_blocks" },
	{ 0x8af9ac56, "page_get_link" },
	{ 0x6d9a2b82, "inode_dio_wait" },
	{ 0x4d8a486f, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xaa191b15, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xea8ab4ba, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbe7f6575, "finish_open" },
	{ 0x4552aa6c, "iput" },
	{ 0xd4231a67, "filemap_range_has_writeback" },
	{ 0x8856e669, "kset_unregister" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x70d7e321, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x981b476a, "wbc_attach_and_unlock_inode" },
	{ 0x6b179157, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x6ebc26cf, "filemap_release_folio" },
	{ 0xf1238977, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x3f819c4b, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xaf201a22, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x20c244c8, "register_filesystem" },
	{ 0xea43ec6f, "d_tmpfile" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0x8d6dc201, "ppc64_caches" },
	{ 0x5a26700, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5c80c7be, "radix_tree_tag_clear" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ef96ca, "kthread_park" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0xabb8fac4, "filemap_add_folio" },
	{ 0x81ad7da5, "path_put" },
	{ 0x86777485, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xd64f2cba, "clear_page_dirty_for_io" },
	{ 0x47f457b6, "vfs_setpos" },
	{ 0x5e6db450, "iget5_locked_rcu" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f382304, "d_prune_aliases" },
	{ 0xc207d321, "wake_up_process" },
	{ 0x4ae84b7c, "shrinker_free" },
	{ 0x8975d797, "trace_event_buffer_commit" },
	{ 0x48f197aa, "fscrypt_setup_filename" },
	{ 0x68bf6b00, "__cond_resched_rwlock_write" },
	{ 0xbf674177, "filemap_get_folios_contig" },
	{ 0xf56dcc7c, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x1799eed6, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xdb7de3f6, "inode_get_bytes" },
	{ 0x32eb1dc2, "sysfs_notify" },
	{ 0xc9320b80, "inode_set_bytes" },
	{ 0x9ece5df5, "migrate_folio" },
	{ 0xc56ba67c, "lookup_one" },
	{ 0xbf7bc4b9, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2ef1df3a, "add_swap_extent" },
	{ 0x3155d090, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x6d36816, "inode_newsize_ok" },
	{ 0xe9b7fb19, "lock_two_nondirectories" },
	{ 0x6daa5d22, "mnt_want_write_file" },
	{ 0x9043b9be, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xba52a3fc, "posix_acl_from_xattr" },
	{ 0x9c5e7581, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x4072f75f, "make_kuid" },
	{ 0x90fc8b79, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x28155ea7, "inode_sub_bytes" },
	{ 0x1bf9577a, "sync_blockdev" },
	{ 0x701e7eab, "fs_kobj" },
	{ 0xd9f3e0b9, "bio_add_folio" },
	{ 0x91a3a8b2, "__filemap_set_wb_err" },
	{ 0x73ee05a0, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x85d30b2e, "radix_tree_tag_set" },
	{ 0xf23e66f8, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x128a0ebc, "__filemap_get_folio" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x8f3315b2, "mtree_erase" },
	{ 0xa2b40ef0, "__check_sticky" },
	{ 0xd4246d8f, "__free_pages" },
	{ 0xcbb7599a, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x4dd70ef0, "xattr_full_name" },
	{ 0xcf8fc3c3, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe6cd2d05, "blk_finish_plug" },
	{ 0x96cc8643, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6f44258, "submit_bio" },
	{ 0xfe843eed, "mnt_drop_write_file" },
	{ 0x5dda8238, "__var_waitqueue" },
	{ 0xe535a112, "sysfs_create_link" },
	{ 0x708b17a7, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x60ca576f, "mntput" },
	{ 0xf7927c30, "__folio_swap_cache_index" },
	{ 0xc2c5802, "work_busy" },
	{ 0xf4ac02dc, "inode_init_once" },
	{ 0xcd6a420b, "bioset_exit" },
	{ 0x46ec6dae, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xb26b7cc6, "seq_escape_mem" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0x89c1d099, "bio_put" },
	{ 0x4c0f6431, "radix_tree_delete" },
	{ 0xb7cb60a7, "bio_endio" },
	{ 0xbf361081, "mount_subtree" },
	{ 0x7f2ca7, "__inode_attach_wb" },
	{ 0xbbcd7f6d, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9532e6e7, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x9ad739a4, "inode_nohighmem" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xc02a8c8f, "perf_trace_run_bpf_submit" },
	{ 0x218cbafb, "__bio_advance" },
	{ 0xd9a1071e, "sysfs_update_group" },
	{ 0xedaa6b10, "sysfs_unmerge_group" },
	{ 0xdb8df2d9, "fput" },
	{ 0xf6792daf, "down_write" },
	{ 0x6163871b, "kobject_add" },
	{ 0x75574cc1, "up_write" },
	{ 0x3e933fdf, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0x4df44509, "inode_maybe_inc_iversion" },
	{ 0x531720bb, "unlock_page" },
	{ 0x143199, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x772dac42, "thp_get_unmapped_area" },
	{ 0xa5987305, "sysfs_remove_link" },
	{ 0x77888773, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9ab1d142, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd4318f9c, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xa788700b, "copy_to_user_nofault" },
	{ 0xb1ee8b67, "truncate_pagecache" },
	{ 0x8bb1d1cd, "put_fs_context" },
	{ 0x4627ebe, "unlock_two_nondirectories" },
	{ 0x3d29bda4, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0xd5a0c12a, "wait_on_page_writeback" },
	{ 0xdcea7760, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xd310624a, "folio_mark_accessed" },
	{ 0xe8b85117, "sysfs_merge_group" },
	{ 0xec88caff, "down" },
	{ 0x1101ad0, "radix_tree_gang_lookup_tag" },
	{ 0x4ec97dc1, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdd70177f, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xf6e2c411, "file_update_time" },
	{ 0x7e31f974, "set_nlink" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xf73ac201, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xdc00b72, "security_inode_init_security" },
	{ 0x109ff350, "from_kgid" },
	{ 0x4968111, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x81e6c4d3, "crypto_shash_digest" },
	{ 0xc86e8b44, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0xf8a397af, "rw_verify_area" },
	{ 0x6760acfd, "wait_for_completion_interruptible" },
	{ 0x14bdf364, "blkdev_issue_zeroout" },
	{ 0x2121b853, "fault_in_iov_iter_writeable" },
	{ 0x53fc7983, "file_remove_privs" },
	{ 0xa8506a3b, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x5fe6e76a, "kobject_init_and_add" },
	{ 0xc6234ac9, "zero_fill_bio_iter" },
	{ 0xb3a889f9, "bio_add_page" },
	{ 0xa9be8452, "crypto_shash_update" },
	{ 0xed3c5643, "from_vfsgid" },
	{ 0xc9e3d6c9, "bio_split_rw" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x307935d1, "alloc_pages_bulk_noprof" },
	{ 0x32e78286, "iov_iter_alignment" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xaf56a260, "__audit_inode_child" },
	{ 0x6484dfe, "d_obtain_alias" },
	{ 0xb76dac1, "file_modified" },
	{ 0xbe6d838a, "radix_tree_iter_resume" },
	{ 0x6948c94e, "sysfs_create_group" },
	{ 0xc015aeef, "posix_acl_chmod" },
	{ 0xdf511073, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x223029c4, "__put_devmap_managed_folio_refs" },
	{ 0xc08eb059, "kthread_stop" },
	{ 0xd1ee90a4, "_raw_spin_trylock" },
	{ 0x7f08bb9e, "kthread_associate_blkcg" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x1395adbc, "read_cache_page_gfp" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xe464af3b, "inode_add_bytes" },
	{ 0xdbdc1701, "__folio_start_writeback" },
	{ 0x60cbeca9, "bpf_trace_run1" },
	{ 0x70ff5a29, "folio_end_writeback" },
	{ 0x2492d891, "folio_alloc_noprof" },
	{ 0x7a78fb43, "from_kuid" },
	{ 0x69332e18, "bio_init" },
	{ 0x65603468, "fc_mount" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xaa2e426b, "kern_path" },
	{ 0xc4371568, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x2dae2b32, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3f1baa30, "generic_remap_file_range_prep" },
	{ 0xa2ebce91, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x97e49642, "inode_owner_or_capable" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x867d23a5, "__insert_inode_hash" },
	{ 0xab1775e2, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x26d78324, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xde0b90ee, "filemap_get_folios" },
	{ 0xb7b1d140, "blkcg_root_css" },
	{ 0x7940d0ef, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0x9c6c8856, "make_kgid" },
	{ 0x878a9e91, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1fccef93, "complete_all" },
	{ 0x406722fc, "d_delete" },
	{ 0xbb96f9be, "wbc_account_cgroup_owner" },
	{ 0xe0bc2b8e, "end_page_writeback" },
	{ 0x23f12f78, "down_write_trylock" },
	{ 0xaebccbb8, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0x259ff0e7, "__xa_cmpxchg" },
	{ 0xe8dca749, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x1be88123, "insert_inode_locked4" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xb33f287d, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x904a9ac5, "xa_erase" },
	{ 0x5db72728, "sysfs_remove_group" },
	{ 0x91ae7d50, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0x184df41a, "redirty_page_for_writepage" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x182232f8, "super_setup_bdi" },
	{ 0xd4be64fc, "igrab" },
	{ 0xc4c16afc, "_raw_write_trylock" },
	{ 0xce20899e, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x23a16355, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdc3a10c3, "kobject_del" },
	{ 0xa78709a5, "d_instantiate_new" },
	{ 0x749f0b0b, "trace_event_buffer_reserve" },
	{ 0x8bb96ed8, "bio_uninit" },
	{ 0xc832ee46, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0xa4c8f53d, "crypto_shash_final" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1936267b, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xce157cdd, "filemap_fdatawait_range" },
	{ 0xcae5c911, "add_to_page_cache_lru" },
	{ 0x4ce33aed, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8c5294d, "bioset_init" },
	{ 0xf80626b8, "__percpu_counter_sum" },
	{ 0x699daf3e, "init_user_ns" },
	{ 0xab47eca5, "simple_rename_timestamp" },
	{ 0x785cb592, "xa_destroy" },
	{ 0x571e6b43, "xa_find" },
	{ 0x428380a8, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x2277ceca, "inode_set_ctime_current" },
	{ 0xf4052187, "inc_nlink" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x32a4da73, "seq_write" },
	{ 0xf1cbccbb, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x92986546, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7b63cf30, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9577b919, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0x2fb7c0d8, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0xb90ca8e7, "xa_store" },
	{ 0x1d648cff, "iov_iter_zero" },
	{ 0x98989c93, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1b7bf7e2, "deactivate_locked_super" },
	{ 0x1a4831da, "touch_atime" },
	{ 0xb8ced60, "filemap_read" },
	{ 0xf2128736, "__percpu_down_read" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x9e423c1, "tag_pages_for_writeback" },
	{  0x9ce07, "balance_dirty_pages_ratelimited_flags" },
	{ 0xf809c99, "kobject_uevent" },
	{ 0x2951f4a8, "_copy_from_iter" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0xe4b176dd, "posix_acl_update_mode" },
	{ 0x9f5daa30, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x34ccba8, "truncate_inode_pages_range" },
	{ 0xb04e170f, "downgrade_write" },
	{ 0xd51e33b2, "alloc_pages_noprof" },
	{ 0xf0559b11, "__folio_lock" },
	{ 0xb4725450, "folio_wait_bit" },
	{ 0xfcf7493e, "filemap_dirty_folio" },
	{ 0x85a720f1, "pagecache_get_page" },
	{ 0x50879321, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xcbfceb6f, "__xa_store" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x186508c, "rcuwait_wake_up" },
	{ 0xd19f4e87, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x5800eb0d, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0xa7e2bd49, "file_ra_state_init" },
	{ 0xbcf20bd5, "__fs_parse" },
	{ 0xcfc63bba, "filemap_splice_read" },
	{ 0xfb542afa, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2a5dd87d, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x1d51c526, "kill_anon_super" },
	{ 0x514d77be, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xa47f756a, "d_parent_ino" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x594485de, "filemap_write_and_wait_range" },
	{ 0xcc4cb259, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x15fc349f, "fsverity_ioctl_measure" },
	{ 0xff5340f2, "generic_write_checks" },
	{ 0x34b6504c, "iov_iter_revert" },
	{ 0x5c3f1ed8, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfeebdc77, "generic_write_checks_count" },
	{ 0x349cba85, "strchr" },
	{ 0x1259e2df, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0x955bd0b0, "crypto_alloc_shash" },
	{ 0x585f97e0, "d_invalidate" },
	{ 0x992388d3, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x35c7aa52, "generic_file_llseek" },
	{ 0x565d3afc, "mtree_insert" },
	{ 0xf2f71bff, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x49180e5f, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xa6f699e3, "iomap_dio_bio_end_io" },
	{ 0x81b49281, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x194a6745, "drop_nlink" },
	{ 0xe6748b50, "fault_in_iov_iter_readable" },
	{ 0xaece50cd, "blkdev_report_zones" },
	{ 0x78a9e905, "_numa_mem_" },
	{ 0x61c4b5fd, "fs_param_is_u64" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x992038aa, "iget_failed" },
	{ 0x52da1db0, "kernel_write" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0xce79c190, "fs_bio_set" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0xf011e7a5, "bio_split" },
	{ 0x919db918, "mtree_load" },
	{ 0x929c283, "kset_create_and_add" },
	{ 0x969d8dcf, "blkdev_issue_discard" },
	{ 0x8c14fce6, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "raid6_pq,xor,libcrc32c");


MODULE_INFO(srcversion, "7F4A6C15181191319BA8B49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
