#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7e003c1, "inode_init_owner" },
	{ 0x1fb7e7bf, "generic_fillattr" },
	{ 0x64cb1aa8, "setattr_prepare" },
	{ 0x5500e602, "iget_locked" },
	{ 0xb50a5389, "clear_nlink" },
	{ 0x8fa03cd2, "generic_block_bmap" },
	{ 0x523960d5, "vmemmap" },
	{ 0x2ca34c2a, "d_instantiate" },
	{ 0xdcf1e05b, "clear_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x1db038b9, "new_inode" },
	{ 0xe0577e27, "init_special_inode" },
	{ 0xb40c1691, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc1271db3, "inode_set_flags" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x13f98f1b, "__blockdev_direct_IO" },
	{ 0xaae8313d, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x37afbc19, "sb_set_blocksize" },
	{ 0x123710ff, "sync_filesystem" },
	{ 0x7a45652d, "d_splice_alias" },
	{ 0x9952af17, "load_nls_default" },
	{ 0x4829a47e, "memcpy" },
	{ 0x83cefb2c, "ihold" },
	{ 0x6d9a2b82, "inode_dio_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x7729c07f, "read_cache_page" },
	{ 0x40765963, "cont_write_begin" },
	{ 0x4552aa6c, "iput" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xfa1001c1, "generic_file_write_iter" },
	{ 0x20c244c8, "register_filesystem" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xba36effb, "sync_inode_metadata" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x1799eed6, "simple_inode_init_ts" },
	{ 0xc9320b80, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5e3c4d42, "kill_block_super" },
	{ 0x9043b9be, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x565ca6e, "block_invalidate_folio" },
	{ 0xce845395, "generic_write_end" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7ac4db30, "load_nls" },
	{ 0x67ed99f3, "generic_cont_expand_simple" },
	{ 0xedfde10c, "try_to_free_buffers" },
	{ 0x4072f75f, "make_kuid" },
	{ 0x90fc8b79, "truncate_inode_pages_final" },
	{ 0xcef6eb23, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf4ac02dc, "inode_init_once" },
	{ 0xf1926681, "file_write_and_wait_range" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6d02f6d7, "mark_page_accessed" },
	{ 0xa9faf4d0, "cdrom_read_tocentry" },
	{ 0xb26b7cc6, "seq_escape_mem" },
	{ 0x89c1d099, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9ad739a4, "inode_nohighmem" },
	{ 0xf6792daf, "down_write" },
	{ 0x75574cc1, "up_write" },
	{ 0x872159c0, "generic_file_read_iter" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb1ee8b67, "truncate_pagecache" },
	{ 0x9d6ed839, "page_symlink" },
	{ 0xdd70177f, "setattr_copy" },
	{ 0x7e31f974, "set_nlink" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xf73ac201, "kmem_cache_alloc_lru_noprof" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xdc00b72, "security_inode_init_security" },
	{ 0xa69f4a18, "seq_putc" },
	{ 0x109ff350, "from_kgid" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0x367b699b, "cdrom_multisession" },
	{ 0x14bdf364, "blkdev_issue_zeroout" },
	{ 0x25d352cd, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xb3a889f9, "bio_add_page" },
	{ 0x223029c4, "__put_devmap_managed_folio_refs" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa738aa1b, "block_dirty_folio" },
	{ 0xe464af3b, "inode_add_bytes" },
	{ 0x7a78fb43, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x867d23a5, "__insert_inode_hash" },
	{ 0xa38e10b2, "buffer_migrate_folio" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xbb0d5475, "_atomic_dec_and_lock" },
	{ 0x9c6c8856, "make_kgid" },
	{ 0x34245f86, "from_kgid_munged" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe8dca749, "truncate_setsize" },
	{ 0x52e15e6b, "set_page_dirty" },
	{ 0x999ded61, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x23a16355, "generic_read_dir" },
	{ 0x6fb2d698, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3cb9da3f, "mount_bdev" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x699daf3e, "init_user_ns" },
	{ 0x2277ceca, "inode_set_ctime_current" },
	{ 0xf4052187, "inc_nlink" },
	{ 0x32a4da73, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xf1cbccbb, "__folio_put" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x9577b919, "seq_printf" },
	{ 0x2fb7c0d8, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x22118b24, "blkdev_issue_flush" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcfc63bba, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x2dfe0af7, "from_kuid_munged" },
	{ 0xa47f756a, "d_parent_ino" },
	{ 0x594485de, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x992388d3, "__mark_inode_dirty" },
	{ 0x35c7aa52, "generic_file_llseek" },
	{ 0xf2f71bff, "bio_alloc_bioset" },
	{ 0xa102dfdd, "unload_nls" },
	{ 0x81b49281, "submit_bio_wait" },
	{ 0xb325a1bd, "sb_min_blocksize" },
	{ 0x194a6745, "drop_nlink" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x992038aa, "iget_failed" },
	{ 0xce79c190, "fs_bio_set" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "348E00AC37EC7F0D861C820");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
