#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xbcd210ee, "");
SYMBOL_CRC(jbd2_journal_start, 0x8463fd42, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x47ebbd79, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x87069dea, "");
SYMBOL_CRC(jbd2__journal_restart, 0x60d45d16, "");
SYMBOL_CRC(jbd2_journal_restart, 0xb50b3214, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xd3092008, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x442f641b, "");
SYMBOL_CRC(jbd2_journal_extend, 0xb08459cb, "");
SYMBOL_CRC(jbd2_journal_stop, 0x6add819b, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xe03c4f27, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x29bac370, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x5b83f8c9, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x3841ded4, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x59946807, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x25c9de12, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xf86b6fc5, "");
SYMBOL_CRC(jbd2_journal_forget, 0x8d3b43f6, "");
SYMBOL_CRC(jbd2_journal_flush, 0x9bbfcaef, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x6bce21cb, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x6c249dc6, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xd2935209, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x9ecadc15, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x1a1b0a90, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xad28dd5c, "");
SYMBOL_CRC(jbd2_journal_load, 0x7eb5032f, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xffb0f3f3, "");
SYMBOL_CRC(jbd2_journal_abort, 0x02b53aff, "");
SYMBOL_CRC(jbd2_journal_errno, 0xbb4b9ef4, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xd76b2a60, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x069fc3cf, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xc931401f, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x7a3f1224, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x65a8cb9c, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x29fd0844, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xe75248ea, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xbae7872f, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x86b3c236, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x426b6781, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xee0c724d, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xc453e590, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x33e861f8, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x798662ec, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xdb825dc5, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xb85c758f, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xa1ca4dd5, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x76b7216b, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xb1d364ed, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x9efa0c27, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x3a9366c9, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x7fbb0661, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x2a2fea3c, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x8d29a5f8, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x535c2dcf, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x9401ac8b, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x23af38ff, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x4c9bf77c, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x3cfbd8fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x85e05130, "bh_uptodate_or_lock" },
	{ 0xc8323acb, "shrinker_alloc" },
	{ 0x523960d5, "vmemmap" },
	{ 0x3ce37bf1, "blk_start_plug" },
	{ 0x94a77c22, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xf5ad9015, "__percpu_counter_init_many" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x696a22d9, "folio_unlock" },
	{ 0x27c6dc2e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8c3b9b50, "trace_raw_output_prep" },
	{ 0x56fe14c0, "bpf_trace_run6" },
	{ 0x533502fc, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2a07d05f, "__find_get_block" },
	{ 0x4bb1092d, "__trace_trigger_soft_disabled" },
	{ 0xb40b06ca, "filemap_fdatawrite_range" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x2d83234d, "trace_event_printf" },
	{ 0x4f445d91, "__bforget" },
	{ 0x737e123d, "write_dirty_buffer" },
	{ 0x54d26d7b, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xe447aced, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4552aa6c, "iput" },
	{ 0x70c5432b, "seq_lseek" },
	{ 0x4a8b254d, "blockdev_superblock" },
	{ 0xa6871b2a, "proc_create_data" },
	{ 0xf1238977, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0x42751428, "bpf_trace_run8" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x9816391c, "submit_bh" },
	{ 0x10e64ccd, "alloc_buffer_head" },
	{ 0xc207d321, "wake_up_process" },
	{ 0x4ae84b7c, "shrinker_free" },
	{ 0x8975d797, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xf56dcc7c, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xa0a2449f, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xedfde10c, "try_to_free_buffers" },
	{ 0x1bf9577a, "sync_blockdev" },
	{ 0x6d9c1d1d, "free_buffer_head" },
	{ 0xf23e66f8, "shrinker_register" },
	{ 0xe6cd2d05, "blk_finish_plug" },
	{ 0xc33b3ce7, "bdev_getblk" },
	{ 0x96cc8643, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe1cd797a, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa3309745, "__brelse" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xc02a8c8f, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xb8997964, "__bh_read_batch" },
	{ 0x4ec97dc1, "bpf_trace_run5" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xa28bdfc5, "__wait_on_buffer" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x1382c792, "__bh_read" },
	{ 0x4968111, "trace_event_reg" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0x14bdf364, "blkdev_issue_zeroout" },
	{ 0x1f49656e, "filemap_fdatawait_range_keep_errors" },
	{ 0xa9be8452, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x81fe5ff7, "freezing_slow_path" },
	{ 0x60cbeca9, "bpf_trace_run1" },
	{ 0x8a2c478c, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2df50b0, "jiffies" },
	{ 0xb33f287d, "kthread_create_on_node" },
	{ 0x91ae7d50, "bpf_trace_run3" },
	{ 0x4e635b8d, "seq_read" },
	{ 0x71815c20, "unlock_buffer" },
	{ 0x749f0b0b, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1408ed4d, "prepare_to_wait_exclusive" },
	{ 0x4ce33aed, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xf1cbccbb, "__folio_put" },
	{ 0xd05cd30, "remove_proc_entry" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9577b919, "seq_printf" },
	{ 0x9ce104a7, "__lock_buffer" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0x34ccba8, "truncate_inode_pages_range" },
	{ 0x22118b24, "blkdev_issue_flush" },
	{ 0x473c4f3e, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfaea239d, "end_buffer_write_sync" },
	{ 0xa0625453, "seq_open" },
	{ 0x59ee95df, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x955bd0b0, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0x969d8dcf, "blkdev_issue_discard" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FC55F98BFE23FFD832ED2CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
