#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x5fc839d7, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x439d3811, "");
SYMBOL_CRC(dccp_v4_send_check, 0xc08cd8db, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x48c7c063, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x9c9f37cd, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x1905185a, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x4789781e, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x730a342e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x675312eb, "__inet_lookup_established" },
	{ 0xd4ef0616, "inet_bhash2_reset_saddr" },
	{ 0x569d1245, "inet_csk_addr2sockaddr" },
	{ 0x7b1ec207, "inet_unregister_protosw" },
	{ 0x8745f7fb, "ip_queue_xmit" },
	{ 0xcc35e649, "dccp_shutdown" },
	{ 0x1f299657, "inet_bhash2_update_saddr" },
	{ 0xf8ba5aa1, "dccp_connect" },
	{ 0x41589ecc, "dccp_rcv_state_process" },
	{ 0x7386a48a, "dccp_reqsk_send_ack" },
	{ 0x99389872, "inet_lookup_reuseport" },
	{ 0x229fcffd, "__inet_lookup_listener" },
	{ 0x61a7ae18, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x39f041fa, "sock_common_getsockopt" },
	{ 0x186868f6, "inet_bind" },
	{ 0xb101338a, "__inet_inherit_port" },
	{ 0x86e41bb, "inet_dccp_listen" },
	{ 0x55ea2fb9, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x3794cae4, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa4d7661f, "__xfrm_policy_check" },
	{ 0x8c659ff, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4b057548, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb801df34, "inet_csk_reqsk_queue_hash_add" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0x82c054af, "sk_error_report" },
	{ 0xabaae0c5, "register_pernet_subsys" },
	{ 0xca548b16, "inet_ehash_nolisten" },
	{ 0x92997ed8, "_printk" },
	{ 0x5da566cc, "inet_getname" },
	{ 0xc56c2834, "inet_stream_connect" },
	{ 0x8d9b8cf, "proto_unregister" },
	{ 0x355b9eb9, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x842b2add, "inet_ehashfn" },
	{ 0xc3ff5f93, "inet_twsk_purge" },
	{ 0xa3f742ca, "dccp_done" },
	{ 0x72cf1b8a, "inet_release" },
	{ 0x216aa582, "__sk_dst_check" },
	{ 0x2cbbb923, "dccp_disconnect" },
	{ 0xfee31622, "ip_route_output_key_hash" },
	{ 0x2c1d159e, "proto_register" },
	{ 0x850fe3cc, "inet_hash" },
	{ 0x53bed204, "__sk_receive_skb" },
	{ 0xf83e4e5a, "dccp_poll" },
	{ 0x21dc8587, "inet_ctl_sock_create" },
	{ 0xc79c97a4, "dccp_death_row" },
	{ 0xe0430542, "inet_csk_get_port" },
	{ 0xa34bf031, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xa4b12fde, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xdad9a6b, "inet_accept" },
	{ 0x385c7be7, "dccp_sync_mss" },
	{ 0xb0514032, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x13e4be3b, "inet_add_protocol" },
	{ 0xbb2a196e, "inet_shutdown" },
	{ 0x1599a305, "sk_free" },
	{ 0x924ed390, "dccp_close" },
	{ 0xd407c8e1, "dccp_reqsk_init" },
	{ 0x5ec6b539, "inet_hash_connect" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x2f2fd7fc, "inet_csk_route_child_sock" },
	{ 0x7cc684, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf257a594, "security_sk_classify_flow" },
	{ 0x2234189a, "inet_csk_update_pmtu" },
	{ 0x16b52448, "dccp_getsockopt" },
	{ 0x28255181, "dccp_parse_options" },
	{ 0x615f257a, "unregister_pernet_subsys" },
	{ 0xb47c1263, "skb_checksum" },
	{ 0xcdd81f16, "sock_no_socketpair" },
	{ 0x76b8aa80, "sock_no_mmap" },
	{ 0x7c7d688d, "__pskb_pull_tail" },
	{ 0xd00365ad, "dccp_child_process" },
	{ 0xe503c8de, "sock_common_recvmsg" },
	{ 0x28fffb3a, "dccp_setsockopt" },
	{ 0x5ab6ec0e, "dccp_ioctl" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xc9c05a5d, "inet_sk_rebuild_header" },
	{ 0xc10bd063, "inet_del_protocol" },
	{ 0xc8d02740, "dccp_recvmsg" },
	{ 0x23c4150c, "inet_sendmsg" },
	{ 0x1ccf5eb2, "dccp_check_req" },
	{ 0xed0ca52d, "dccp_create_openreq_child" },
	{ 0xba09ffc6, "inet_csk_prepare_forced_close" },
	{ 0xb293ed7f, "security_skb_classify_flow" },
	{ 0x2180d2b1, "sock_pfree" },
	{ 0xb51f6e1, "dccp_rcv_established" },
	{ 0x69ca64cd, "dccp_send_sync" },
	{ 0xbc7c79e5, "dst_release" },
	{ 0xddff816f, "sock_release" },
	{ 0xbdf6c6b4, "dccp_make_response" },
	{ 0x9fac758, "dccp_destroy_sock" },
	{ 0xbc650bf4, "dccp_ctl_make_reset" },
	{ 0x94034c13, "sock_gettstamp" },
	{ 0x6aa1d0ca, "sk_setup_caps" },
	{ 0x46282c57, "ip_build_and_send_pkt" },
	{ 0xafe1818d, "dccp_sendmsg" },
	{ 0x23d5367f, "ip_setsockopt" },
	{ 0xf143eae2, "dccp_hashinfo" },
	{ 0x749587b2, "inet_twsk_put" },
	{ 0x78100fb1, "inet_unhash" },
	{ 0xef2839ed, "ip_getsockopt" },
	{ 0xe8a98fe1, "dccp_set_state" },
	{ 0x6dc714d6, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xefd9af32, "inet_csk_reqsk_queue_drop" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
