#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x696ada8a, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x015191d4, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x05234ba8, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x65847ebf, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x35858e69, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xe463f3ae, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x8048b356, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x5bed2b30, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xcb635669, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x420c6e40, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xbf17f2ca, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xa59fab9e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x4ba2cbf7, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x854f4759, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xfd892fc3, "");
SYMBOL_CRC(nf_nat_follow_master, 0xb38f2331, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x0184724c, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xb00b9c31, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xd0886032, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x92deb3ac, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x5d92f47e, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x51d54657, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b1ee7c1, "nf_ct_ext_add" },
	{ 0xfd4273b5, "__do_once_done" },
	{ 0x10640108, "nf_conntrack_find_get" },
	{ 0x4bc76997, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf048748f, "nf_ip6_checksum" },
	{ 0x63431986, "skb_copy_bits" },
	{ 0x5834d5bd, "nf_hook_entries_insert_raw" },
	{ 0x807edaf8, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x84ae9b4f, "nf_ct_seqadj_set" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x418cf57f, "nf_ct_helper_expectfn_unregister" },
	{ 0x95e1c4a5, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa0bba48a, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e2b8a93, "_raw_read_unlock_bh" },
	{ 0xd16f24e9, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x15092341, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x90309392, "pskb_expand_head" },
	{ 0xabaae0c5, "register_pernet_subsys" },
	{ 0x854d8a9c, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0x948b2d42, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xc5f8477, "ipv6_skip_exthdr" },
	{ 0x3c6138de, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7536f17d, "module_put" },
	{ 0x5b52e6d7, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x9b6410cd, "nf_ct_expect_related_report" },
	{ 0xe2224ac4, "ip_route_me_harder" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xca438718, "nf_hook_entries_delete_raw" },
	{ 0x8870cba3, "skb_ensure_writable" },
	{ 0x73b297a, "nf_unregister_net_hooks" },
	{ 0x79d70734, "inet_select_addr" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x615f257a, "unregister_pernet_subsys" },
	{ 0xb47c1263, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc54ce74e, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x22b28a23, "nf_ip_checksum" },
	{ 0xc66e64bf, "register_btf_kfunc_id_set" },
	{ 0x7508e370, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x849e6a87, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2527fb8b, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x652237eb, "__skb_checksum" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x41e9a5aa, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xbc7c79e5, "dst_release" },
	{ 0xa65564b1, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x712668df, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "90997631406D9324F6DC1EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
