#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0x94f8f695, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0xb0a7e361, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0x4c20c183, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0x64ba5c6a, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0x4b79f43d, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0xd4bc8bad, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0x32468ed0, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0x98be18d5, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x90e1bd06, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x8e553d65, "_gpl");
SYMBOL_CRC(register_ife_op, 0x05713e3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4691dbed, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x52759caf, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x7536f17d, "module_put" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0x4bc76997, "try_module_get" },
	{ 0x80b43983, "tcf_unregister_action" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x90de9670, "nla_put" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xd8e7a1b2, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0xf3a16d7, "eth_type_trans" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x6afb6c84, "skb_push" },
	{ 0xf7b6ed51, "ife_encode" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x59cd1e54, "nla_put_64bit" },
	{ 0xe16419d9, "skb_trim" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x97f580c7, "tcf_idr_check_alloc" },
	{ 0x978950fd, "tcf_action_check_ctrlact" },
	{ 0x219f905c, "tcf_action_set_ctrlact" },
	{ 0x52df5690, "tcf_chain_put_by_act" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbff69ad8, "tcf_idr_cleanup" },
	{ 0x6c4c781b, "tcf_idr_release" },
	{ 0xef0a7f43, "tcf_idr_create" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "834F0F8255C33F2BB13D41E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
