#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x96333b94, "");
SYMBOL_CRC(snd_ac97_read, 0x066350bd, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x57d2c12c, "");
SYMBOL_CRC(snd_ac97_update, 0xc2ea7a09, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xa9c11bbe, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x6cf7e678, "");
SYMBOL_CRC(snd_ac97_bus, 0x2d1b4dcd, "");
SYMBOL_CRC(snd_ac97_mixer, 0xfa7ad2d7, "");
SYMBOL_CRC(snd_ac97_update_power, 0x3012749c, "");
SYMBOL_CRC(snd_ac97_suspend, 0x62365ff4, "");
SYMBOL_CRC(snd_ac97_resume, 0x3f9bfbe8, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0xe3a57b2e, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x61de8a61, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x220110ab, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x82351b43, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xeb67e494, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x0e5b753f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60caffa9, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xfaf4298a, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0xf1740142, "snd_info_free_entry" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0x13fdd295, "snd_ctl_find_id" },
	{ 0x8084def9, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0x8e7758bb, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x3af19266, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xf574dec7, "snd_ctl_make_virtual_master" },
	{ 0xfb8546ac, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xd2db02f3, "snd_ctl_boolean_mono_info" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xedf626f2, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6b160c46, "snd_ctl_rename" },
	{ 0xf624f8c, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8733cca1, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x9577b919, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8849f777, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
