#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_ep_queue_is_empty, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(__mhi_ep_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_ep_driver_unregister, "_gpl", "");

SYMBOL_CRC(mhi_ep_queue_is_empty, 0x689be327, "_gpl");
SYMBOL_CRC(mhi_ep_queue_skb, 0xf16a4ebe, "_gpl");
SYMBOL_CRC(mhi_ep_power_up, 0xeb8b3bed, "_gpl");
SYMBOL_CRC(mhi_ep_power_down, 0x9571d244, "_gpl");
SYMBOL_CRC(mhi_ep_register_controller, 0x547fca4a, "_gpl");
SYMBOL_CRC(mhi_ep_unregister_controller, 0xdc15ec14, "_gpl");
SYMBOL_CRC(__mhi_ep_driver_register, 0xe1f8f2ea, "_gpl");
SYMBOL_CRC(mhi_ep_driver_unregister, 0x72790270, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x62aceab, "device_for_each_child" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0x413fe411, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0x1a04b804, "_dev_info" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xa65972b8, "_memcpy_toio" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x4e9c6db0, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x7be29fa0, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0x79162e32, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x841dd318, "bus_register" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BA8584AF77E359A8180A28D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
