#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc6094c, "fw_core_remove_descriptor" },
	{ 0xefd1ccef, "fw_send_response" },
	{ 0x52fd6c12, "fw_iso_context_destroy" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0x523960d5, "vmemmap" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x2e73fc82, "fw_iso_buffer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x379e3632, "consume_skb" },
	{ 0xf5d4a627, "unregister_netdev" },
	{ 0x4829a47e, "memcpy" },
	{ 0x72bb1f99, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf95dc4c, "fw_core_remove_address_handler" },
	{ 0xbc6071bf, "fw_iso_context_stop" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xb7037337, "fw_core_add_address_handler" },
	{ 0xd0c51ff0, "dev_addr_mod" },
	{ 0x947c2578, "alloc_netdev_mqs" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x18fc3e3c, "fw_iso_context_queue" },
	{ 0x800473f, "__cond_resched" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x84e878a4, "fw_iso_buffer_destroy" },
	{ 0xb0514032, "sk_skb_reason_drop" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6afb6c84, "skb_push" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x66df5ad1, "register_netdev" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0xa9288d24, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xe41fb2da, "ethtool_op_get_link" },
	{ 0x3a771e39, "fw_core_add_descriptor" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xff4927ab, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xc094f012, "netif_rx" },
	{ 0xcd6bc2ce, "__netdev_alloc_skb" },
	{ 0x418bb8b4, "fw_iso_context_queue_flush" },
	{ 0x38f812f6, "fw_iso_context_start" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xbb3cd572, "_dev_notice" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc26a9459, "fw_bus_type" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda461fe3, "netif_carrier_off" },
	{ 0x999727df, "skb_clone" },
	{ 0xd83e6c66, "netif_carrier_on" },
	{ 0x58a45d46, "__fw_send_request" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0x79162e32, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "firewire-core");

MODULE_ALIAS("ieee1394:ven*mo*sp0000005Ever00000001*");
MODULE_ALIAS("ieee1394:ven*mo*sp0000005Ever00000002*");

MODULE_INFO(srcversion, "91BC56DB842D7CE696BC3DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
