#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x215c148d, "__hid_register_driver" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x1a04b804, "_dev_info" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x2fc9f147, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xd67ee8ea, "hid_hw_output_report" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x93ec6d6, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf4ff326, "input_register_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd1f21d62, "input_set_abs_params" },
	{ 0xe811f9a0, "input_alloc_absinfo" },
	{ 0x95df55d2, "power_supply_get_drvdata" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x2df50b0, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x753953f6, "hid_open_report" },
	{ 0x2ff6e534, "hid_hw_start" },
	{ 0x6dd8d261, "hid_is_usb" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x542e4234, "hid_hw_stop" },
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xedac8ea8, "hid_unregister_driver" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0xdd607718, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4880b78, "input_mt_report_slot_state" },
	{ 0x7c908ec5, "input_mt_sync_frame" },
	{ 0x3e1b4dac, "hid_hw_close" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xad803b60, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x98cf60b3, "strlen" },
	{ 0x47321a8e, "devm_led_classdev_register_ext" },
	{ 0xb26a19eb, "input_set_capability" },
	{ 0x63cd6dde, "input_ff_create_memless" },
	{ 0x3574a51e, "devm_kasprintf" },
	{ 0xd508483a, "devm_power_supply_register" },
	{ 0xa1213849, "power_supply_powers" },
	{ 0x14609b8b, "hid_hw_open" },
	{ 0x2d7484a8, "hid_validate_values" },
	{ 0xdcb764ad, "memset" },
	{ 0x4694789d, "input_mt_init_slots" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,led-class,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "349071A235421B59499DE58");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
