#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0x1ed5eeea, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x5a984f49, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0xd894e449, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xcea88ea6, "_gpl");
SYMBOL_CRC(intel_th_free, 0x4672aac4, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x37785173, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0x6ba458d6, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x259aeab2, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0xcd72c090, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x4bc76997, "try_module_get" },
	{ 0x7ab47270, "devm_request_threaded_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x62aceab, "device_for_each_child" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xec70eaa, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0x952dcb52, "devm_free_irq" },
	{ 0xa670e2ba, "pm_runtime_enable" },
	{ 0x7536f17d, "module_put" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0x16e7cc18, "bus_find_device" },
	{ 0x4e9c6db0, "device_add" },
	{ 0xdcea7760, "noop_llseek" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0x6948c94e, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7be29fa0, "device_del" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x63d6678, "device_match_devt" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x44c23dfc, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x5db72728, "sysfs_remove_group" },
	{ 0x20897da1, "pm_runtime_forbid" },
	{ 0xbdbb29c1, "pm_runtime_allow" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x3f05d5ea, "__register_chrdev" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xfee53d67, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0xbf792b20, "__pm_runtime_disable" },
	{ 0x79162e32, "driver_register" },
	{ 0x36247eff, "__pm_runtime_idle" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x841dd318, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3BD9067C8C9E8128A51111E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
