#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x9b608a4e, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x7c6d852c, "_gpl");
SYMBOL_CRC(stm_data_write, 0x38fb0dcf, "_gpl");
SYMBOL_CRC(stm_register_device, 0xc3ce974a, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xeed103d1, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x9b38e666, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x83b8cae7, "_gpl");
SYMBOL_CRC(stm_source_write, 0x65b28000, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xea8091c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4bc76997, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x63504330, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0xf9e436cc, "pm_runtime_set_autosuspend_delay" },
	{ 0xff37c1be, "vm_iomap_memory" },
	{ 0xe8311bfd, "config_item_get" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc61dac89, "synchronize_srcu" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x10d44f7f, "configfs_unregister_subsystem" },
	{ 0xec70eaa, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xa670e2ba, "pm_runtime_enable" },
	{ 0x9f984513, "strrchr" },
	{ 0x7536f17d, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xf3a16907, "init_srcu_struct" },
	{ 0xf6792daf, "down_write" },
	{ 0x75574cc1, "up_write" },
	{ 0xae1bdd36, "configfs_register_subsystem" },
	{ 0x4e9c6db0, "device_add" },
	{ 0x56b6e04a, "__srcu_read_lock" },
	{ 0xd52cfa47, "config_group_init_type_name" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x95e5d2f7, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xefe283ef, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xeae7e5d9, "__get_task_comm" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x44c23dfc, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3891b3, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x20897da1, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x7cc8754e, "config_item_put" },
	{ 0x3f05d5ea, "__register_chrdev" },
	{ 0x7bbceee7, "kobject_set_name" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x418e22e0, "device_match_name" },
	{ 0x6ae7de6c, "__srcu_read_unlock" },
	{ 0x859ea465, "__pm_runtime_suspend" },
	{ 0x6a93fd5b, "__pm_runtime_use_autosuspend" },
	{ 0xbf792b20, "__pm_runtime_disable" },
	{ 0xf18a260, "class_register" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9712f6f, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "F3C366FE97849773DEC0BCE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
