#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_dw_validate_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_adjust_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_prepare_clk, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_configure_master, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_probe_master, "_gpl", "");

SYMBOL_CRC(i2c_dw_validate_speed, 0x5e38a5f3, "_gpl");
SYMBOL_CRC(i2c_dw_adjust_bus_speed, 0xa75fc42b, "_gpl");
SYMBOL_CRC(i2c_dw_prepare_clk, 0x846285c7, "_gpl");
SYMBOL_CRC(i2c_dw_configure_master, 0x18552d90, "_gpl");
SYMBOL_CRC(i2c_dw_probe_master, 0xecb7a04f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x550f3e05, "i2c_freq_mode_string" },
	{ 0x8ea9b8a0, "regmap_write" },
	{ 0x7ab47270, "devm_request_threaded_irq" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x9bfec2ab, "i2c_recover_bus" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd9a9c15e, "complete" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x81a64fc2, "i2c_generic_scl_recovery" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x96e71b8d, "devm_gpiod_get_optional" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2617de8e, "i2c_add_numbered_adapter" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x2df50b0, "jiffies" },
	{ 0xaa7ca020, "regmap_read" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x561c160a, "regmap_update_bits_base" },
	{ 0x859ea465, "__pm_runtime_suspend" },
	{ 0xd68b64cf, "try_wait_for_completion" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d20d84a, "__devm_regmap_init" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3904F8E8972358564C5AB1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
