#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xac24ede6, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x2236fd32, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x55067b2f, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x145b2530, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x88968167, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0x672676eb, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xdc2d5667, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x3c08636c, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xdb03c841, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2e642f6, "dvb_dmxdev_init" },
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x106c86c4, "media_device_unregister" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe7e5676, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4a6fca9, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xe9f5773d, "dvb_register_adapter" },
	{ 0x92997ed8, "_printk" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xe4b2e2b3, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xda043a63, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9dcfbc32, "media_device_cleanup" },
	{ 0x800473f, "__cond_resched" },
	{ 0x74ad4876, "dvb_dmx_swfilter_204" },
	{ 0xb201d888, "dvb_dmx_release" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xbc14e9, "rc_register_device" },
	{ 0x8ebbd096, "dvb_net_init" },
	{ 0x1502a72b, "dvb_dmx_swfilter" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x460e357b, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6b253ac3, "rc_free_device" },
	{ 0xc4bf46b3, "dvb_dmx_swfilter_raw" },
	{ 0x75be5fb3, "dvb_frontend_detach" },
	{ 0xaf929384, "i2c_add_adapter" },
	{ 0x1f35b366, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x285f4c70, "rc_allocate_device" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf80c4504, "dvb_unregister_frontend" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb763d340, "__media_device_usb_init" },
	{ 0x77e04557, "dvb_frontend_resume" },
	{ 0xf87b58f9, "dvb_register_frontend" },
	{ 0x8cf9d30b, "dvb_frontend_suspend" },
	{ 0x1bd7e044, "dvb_create_media_graph" },
	{ 0x402fcaef, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1377d7d7, "dvb_dmx_init" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0xaacc56dd, "rc_unregister_device" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
