#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe8b9512a, "v4l2_ctrl_poll" },
	{ 0x2664d26d, "video_ioctl2" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x44831bf, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x472819d8, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x386aba31, "v4l2_fh_add" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x8666b8c7, "usb_register_driver" },
	{ 0xdad757f7, "v4l2_ctrl_handler_init_class" },
	{ 0xc1ffa3be, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0xc76c6166, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xeaf6375d, "usb_put_dev" },
	{ 0xe4b2e2b3, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x59ef4a19, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0xd1cd084, "usb_get_dev" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0xda043a63, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xd0deb365, "usb_free_coherent" },
	{ 0xe726b854, "v4l2_fh_release" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x29b50091, "usb_control_msg" },
	{ 0xcaab2a85, "v4l2_ctrl_subscribe_event" },
	{ 0xf43b8289, "v4l2_fh_init" },
	{ 0x66e36206, "video_unregister_device" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x54520bfa, "i2c_new_client_device" },
	{ 0x39470cc6, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x1cbccd0a, "v4l2_device_disconnect" },
	{ 0x8ae67ac1, "v4l2_ctrl_new_std_menu" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x2474f210, "v4l2_device_register" },
	{ 0xaf929384, "i2c_add_adapter" },
	{ 0x28426c6f, "v4l2_ctrl_activate" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0xb255b90c, "__video_register_device" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0x9b758606, "v4l2_ctrl_new_std" },
	{ 0xd90e07bc, "v4l2_ctrl_handler_free" },
	{ 0xd201b8f2, "v4l2_device_unregister" },
	{ 0xd50f4d66, "v4l2_ctrl_log_status" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0xfedcea94, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xea5b2b52, "v4l2_event_unsubscribe" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
