#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x163e372d, "__platform_driver_register" },
	{ 0xda6869d6, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x34441fc, "phy_disconnect" },
	{ 0xee1bd543, "mdiobus_unregister" },
	{ 0xefbf8ff5, "mdiobus_free" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf5d4a627, "unregister_netdev" },
	{ 0xa9288d24, "free_netdev" },
	{ 0x83746c7f, "mdiobus_get_phy" },
	{ 0x9406faae, "phy_mii_ioctl" },
	{ 0x674f3026, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd0c51ff0, "dev_addr_mod" },
	{ 0x465ab6fb, "napi_disable" },
	{ 0x467c02da, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa6d0a326, "phy_print_status" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xcd6bc2ce, "__netdev_alloc_skb" },
	{ 0x8bec9b72, "skb_put" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0xf3a16d7, "eth_type_trans" },
	{ 0x885fda88, "netif_receive_skb" },
	{ 0xff4927ab, "netif_tx_wake_queue" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7a18ee99, "napi_complete_done" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xb313bb4e, "napi_schedule_prep" },
	{ 0x7aae1a4, "__napi_schedule" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xa65972b8, "_memcpy_toio" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x379e3632, "consume_skb" },
	{ 0x26419de4, "skb_tstamp_tx" },
	{ 0xd672a4c2, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3156d1af, "napi_enable" },
	{ 0x4ed348ab, "phy_start" },
	{ 0x1a04b804, "_dev_info" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd409216b, "alloc_etherdev_mqs" },
	{ 0x35c67470, "platform_get_resource" },
	{ 0x7100abf6, "__devm_request_region" },
	{ 0xf7e43f93, "platform_get_irq" },
	{ 0x3822964f, "devm_ioremap" },
	{ 0xd86f2907, "dmam_alloc_attrs" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0x3be9bc4e, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0eafc22, "__mdiobus_register" },
	{ 0x92f3e774, "phy_connect_direct" },
	{ 0xc30ffefa, "phy_set_max_speed" },
	{ 0x407843be, "netif_napi_add_weight" },
	{ 0x66df5ad1, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb664f49, "of_device_is_big_endian" },
	{ 0x2051b968, "of_get_ethdev_address" },
	{ 0x6eb610bb, "phy_find_first" },
	{ 0xd8d51d5a, "dev_err_probe" },
	{ 0xda7fdc08, "phy_ethtool_nway_reset" },
	{ 0xe41fb2da, "ethtool_op_get_link" },
	{ 0xd5cced5c, "ethtool_op_get_ts_info" },
	{ 0x83a0fba1, "phy_ethtool_get_link_ksettings" },
	{ 0xf7881b8d, "phy_ethtool_set_link_ksettings" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
