#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ixgbe_xdp_locking_key, "", "");

SYMBOL_CRC(ixgbe_xdp_locking_key, 0xbaa35511, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x338058b2, "netdev_crit" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x7dcdf4ad, "xsk_tx_completed" },
	{ 0xa7a5cfca, "napi_alloc_skb" },
	{ 0xd409216b, "alloc_etherdev_mqs" },
	{ 0x9ba80e1d, "secpath_set" },
	{ 0x9e7cd096, "mdiobus_c45_read" },
	{ 0x6875b9dc, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x946c5df, "xp_alloc" },
	{ 0xc0028082, "dev_get_stats" },
	{ 0x8da477b2, "device_set_wakeup_enable" },
	{ 0x83855b48, "pcie_capability_read_word" },
	{ 0xd672a4c2, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x523960d5, "vmemmap" },
	{ 0x81148d91, "pci_find_ext_capability" },
	{ 0xbd81dfef, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbbda03c, "xp_dma_map" },
	{ 0x63431986, "skb_copy_bits" },
	{ 0x70d85a84, "dma_pool_create" },
	{ 0x44831bf, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xae1d491f, "pci_request_selected_regions" },
	{ 0x8ab1658, "pci_release_selected_regions" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0xabee99b1, "pci_wake_from_d3" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x26419de4, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x33d40a7a, "pci_enable_device_mem" },
	{ 0x379e3632, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x407843be, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcc2b7cf3, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaaee6a8a, "pci_dev_put" },
	{ 0x8655ed3e, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3d9892a, "ndo_dflt_bridge_getlink" },
	{ 0xf5d4a627, "unregister_netdev" },
	{ 0x3d01315f, "xdp_convert_zc_to_xdp_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x617ae731, "xdp_features_set_redirect_target" },
	{ 0x74f3cc31, "__kmalloc_node_noprof" },
	{ 0xcbb11f24, "pci_get_device" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xaab6e302, "dma_unmap_page_attrs" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0xf7370f56, "system_state" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x76837a89, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4cbf97cc, "dev_trans_start" },
	{ 0xb2696ee2, "pci_disable_msi" },
	{ 0x9ecf93d9, "ptp_clock_index" },
	{ 0x18fd080e, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49378a7d, "xdp_do_redirect" },
	{ 0x10ec8cd2, "eth_validate_addr" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46af0d10, "netdev_warn" },
	{ 0xa88abeef, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8425597a, "pci_set_power_state" },
	{ 0x7b4cb5ce, "xdp_rxq_info_unreg_mem_model" },
	{ 0xda6869d6, "__netif_napi_del" },
	{ 0xfdfcdd5f, "__csum_partial" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x61f43801, "netdev_features_change" },
	{ 0xc82afdc0, "netdev_err" },
	{ 0x90309392, "pskb_expand_head" },
	{ 0x77fa3ce7, "mdiobus_c45_write" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8752b126, "dev_driver_string" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xd0c51ff0, "dev_addr_mod" },
	{ 0xe9456bf7, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf3a16d7, "eth_type_trans" },
	{ 0x8f7f5b92, "pci_read_config_dword" },
	{ 0xd3b7a3e1, "dma_map_page_attrs" },
	{ 0x7a18ee99, "napi_complete_done" },
	{ 0xbeb95761, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xb75ce03, "ndo_dflt_fdb_add" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd1cd693d, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xf768a5fa, "pci_enable_msix_range" },
	{ 0xa8732ea, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xf3b289c, "__alloc_skb" },
	{ 0x494536b, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xd4246d8f, "__free_pages" },
	{ 0x2c44a885, "dev_addr_add" },
	{ 0x80c150a4, "__hw_addr_unsync_dev" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x20c4f4bd, "napi_gro_receive" },
	{ 0x9a646e27, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4af4f3d4, "xdp_features_clear_redirect_target" },
	{ 0x7baea8d2, "pci_select_bars" },
	{ 0x11ff6ce5, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x48bf7335, "xp_raw_get_dma" },
	{ 0x9ccf8e09, "eth_get_headlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x723e7b42, "device_wakeup_disable" },
	{ 0x3c18f8ed, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x3b42152c, "__skb_get_hash_net" },
	{ 0x36fe31a, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xfa41769c, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x6d53601d, "softnet_data" },
	{ 0xe6775431, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdaf410f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcc6c737a, "ptp_clock_register" },
	{ 0x70d9f63a, "dcb_ieee_getapp_mask" },
	{ 0x45ba1aee, "xsk_tx_peek_desc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xdd9f3765, "__traceiter_xdp_exception" },
	{ 0x41ba7578, "netif_set_real_num_tx_queues" },
	{ 0xb0514032, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x24a32c5e, "netif_set_real_num_rx_queues" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xffa3fc10, "pci_get_domain_bus_and_slot" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0x51a601f, "debugfs_remove" },
	{ 0xf4c78157, "pcie_flr" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0x3156d1af, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd060aef5, "xsk_clear_rx_need_wakeup" },
	{ 0x55ad83f3, "xsk_uses_need_wakeup" },
	{ 0x66df5ad1, "register_netdev" },
	{ 0x393c688c, "mdiobus_read" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa9288d24, "free_netdev" },
	{ 0x33d5dc8b, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x605db961, "dql_completed" },
	{ 0x254c9287, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe41fb2da, "ethtool_op_get_link" },
	{ 0xfad7fe, "eth_platform_get_mac_address" },
	{ 0xa3452fc1, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xcf27362a, "dev_addr_del" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xa05a04b6, "netif_tx_stop_all_queues" },
	{ 0xcf319c37, "pci_restore_state" },
	{ 0xff4927ab, "netif_tx_wake_queue" },
	{ 0xc0584838, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd84e982d, "dcb_getapp" },
	{ 0x191e360, "devm_hwmon_device_register_with_groups" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5dac982a, "ptp_clock_event" },
	{ 0xfba08ba2, "netif_schedule_queue" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1e01bafa, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4b6b2db0, "ptp_clock_unregister" },
	{ 0x7c7d688d, "__pskb_pull_tail" },
	{ 0x8330ea23, "xp_dma_unmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1fdfb402, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xee97e58e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x5cf83923, "netdev_unbind_sb_channel" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x76d9eee3, "netdev_walk_all_upper_dev_rcu" },
	{ 0x975a9c1e, "__page_frag_cache_drain" },
	{ 0xee1bd543, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc84ea25d, "ipv6_find_hdr" },
	{ 0xdf39affb, "netdev_bind_sb_channel_queue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe6fbc2bc, "debugfs_create_file" },
	{ 0xe7bf3e17, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca1b10e5, "netdev_reset_tc" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x27c186fb, "__dma_sync_single_for_device" },
	{ 0xc7f4b220, "pcie_print_link_status" },
	{ 0xc2483c90, "xp_set_rxq_info" },
	{ 0xb894aac8, "xdp_rxq_info_unreg" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x217f3799, "mdiobus_write" },
	{ 0xe9c02506, "pci_dev_get" },
	{ 0x968d43e4, "napi_build_skb" },
	{ 0x355a0b5d, "__xdp_rxq_info_reg" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda461fe3, "netif_carrier_off" },
	{ 0xdfd27043, "__hw_addr_sync_dev" },
	{ 0x68e696b2, "pci_disable_sriov" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xd83e6c66, "netif_carrier_on" },
	{ 0xfcd3ccdc, "netdev_set_num_tc" },
	{ 0xee49ca4a, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd0eafc22, "__mdiobus_register" },
	{ 0xb6c7462c, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd207602c, "pci_disable_device" },
	{ 0xad86ba2f, "xp_free" },
	{ 0x23a4628a, "dev_uc_add" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x270f0dcf, "netif_set_tso_max_size" },
	{ 0x5c46f659, "dma_unmap_sg_attrs" },
	{ 0xc066e285, "skb_add_rx_frag_netmem" },
	{ 0xb432c8a0, "xdp_master_redirect" },
	{ 0x780f04c0, "__napi_schedule_irqoff" },
	{ 0xb313bb4e, "napi_schedule_prep" },
	{ 0xcc7770c, "napi_consume_skb" },
	{ 0x2fe59b45, "pci_sriov_set_totalvfs" },
	{ 0x98cf60b3, "strlen" },
	{ 0x465ab6fb, "napi_disable" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0x5f510e26, "dcb_ieee_delapp" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0xdb5f749f, "debugfs_create_dir" },
	{ 0xef433d86, "pci_write_config_word" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xce6c0167, "pci_enable_sriov" },
	{ 0x68978abb, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd5cced5c, "ethtool_op_get_ts_info" },
	{ 0xfa176011, "xsk_tx_release" },
	{ 0x78a9e905, "_numa_mem_" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x1b7d3960, "netdev_info" },
	{ 0x60443957, "mdio45_probe" },
	{ 0xfc1b100b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd779ce09, "pci_get_dsn" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres,mdio");

MODULE_ALIAS("pci:v00008086d000010B6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001508sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001517sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001507sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001514sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000152Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001529sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001528sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001558sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001557sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001563sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E5sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "30F8A1AF344292112FBC471");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
