#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x180928c6, "phy_drivers_register" },
	{ 0x393c688c, "mdiobus_read" },
	{ 0xaabac4e0, "genphy_read_status" },
	{ 0xab3fb745, "phy_trigger_machine" },
	{ 0xb9c6a05d, "phy_error" },
	{ 0xc379b2e3, "bcm54xx_auxctl_read" },
	{ 0xe0d0c7a8, "bcm54xx_auxctl_write" },
	{ 0xfc525838, "bcm_phy_read_shadow" },
	{ 0xae990e0c, "bcm_phy_write_shadow" },
	{ 0x1a35799e, "bcm_config_lre_aneg" },
	{ 0x7022af2c, "__genphy_config_aneg" },
	{ 0x6addda47, "of_find_property" },
	{ 0xf3e8ddcf, "bcm_phy_write_exp" },
	{ 0x2b0790d7, "genphy_c37_config_aneg" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0xa185ff1e, "bcm_phy_get_wol" },
	{ 0xd706a2fe, "bcm_phy_set_wol" },
	{ 0x9c2181e1, "bcm_phy_get_stats" },
	{ 0x3a3d5e1a, "phy_drivers_unregister" },
	{ 0x6463e83d, "phy_modify" },
	{ 0x217f3799, "mdiobus_write" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xbea271e0, "__mdiobus_write" },
	{ 0x139c8c4, "__phy_modify" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d45e26a, "__mdiobus_read" },
	{ 0x102b90dd, "bcm_phy_read_exp" },
	{ 0x76870414, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x8ac84184, "genphy_read_abilities" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x9e27cd90, "bcm_phy_get_sset_count" },
	{ 0x27615d18, "devm_gpiod_get" },
	{ 0x24feffbc, "gpiod_to_irq" },
	{ 0x7ab47270, "devm_request_threaded_irq" },
	{ 0xbb775053, "device_set_wakeup_capable" },
	{ 0xa34f369b, "device_wakeup_enable" },
	{ 0x9592f84b, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x9d481e93, "pm_wakeup_dev_event" },
	{ 0x127441d6, "genphy_resume" },
	{ 0xb60d185d, "genphy_soft_reset" },
	{ 0xe4bae9da, "bcm_phy_config_intr" },
	{ 0x112af6e0, "bcm_phy_handle_interrupt" },
	{ 0x717c7ea, "bcm_phy_get_strings" },
	{ 0xcdc60b20, "bcm_phy_led_brightness_set" },
	{ 0x5bf4b3b, "genphy_suspend" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
