#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xe8149673, "");
SYMBOL_CRC(ath10k_info, 0x9069a4a7, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x0431073d, "");
SYMBOL_CRC(ath10k_err, 0x868416cf, "");
SYMBOL_CRC(ath10k_warn, 0x14f007a3, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x9a79ef9f, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x929ecbd3, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x03629fe1, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x6c90d8a9, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x015c5072, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x1cd5c357, "");
SYMBOL_CRC(ath10k_core_start, 0xfa481d99, "");
SYMBOL_CRC(ath10k_core_stop, 0x3d6a3b53, "");
SYMBOL_CRC(ath10k_core_register, 0xf5952601, "");
SYMBOL_CRC(ath10k_core_unregister, 0xb87874e5, "");
SYMBOL_CRC(ath10k_core_create, 0x8424ac9f, "");
SYMBOL_CRC(ath10k_core_destroy, 0x442ce82f, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x7f48ec98, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x688dc232, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xe30e1ec2, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xac29662a, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xd6c722a2, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x2322e592, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xe78a4cae, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xd925505c, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x1b0339cc, "");
SYMBOL_CRC(ath10k_bmi_start, 0x38642ba9, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x5e1fbb14, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x2f85c935, "");
SYMBOL_CRC(ath10k_coredump_new, 0xe5d87945, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x01babe55, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xaafa5ff9, "");
SYMBOL_CRC(ath10k_ce_send, 0xdca6f4a6, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x9f8075eb, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xafdac31b, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x41b939d4, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xab132a30, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x906dd0f2, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x876f2e53, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x462f1d04, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x053fdbb2, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x37038fdc, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xae8959f4, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x9ebf10ac, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x1429c6e6, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xfc39c637, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x984e7449, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x6560a093, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x5938264b, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xd20628ec, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xb9295ec6, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xdba2b9be, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x84fc8257, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xfa9fc40c, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x3581a4f8, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x6b19bdc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x328c2736, "cpu_latency_qos_remove_request" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8da477b2, "device_set_wakeup_enable" },
	{ 0xd267a405, "completion_done" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xfb85869f, "ieee80211_manage_rx_ba_offl" },
	{ 0x523960d5, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbb775053, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xde76e0b6, "__ieee80211_schedule_txq" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0x44831bf, "param_ops_uint" },
	{ 0x6c633e18, "param_ops_ulong" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x565ccdfe, "of_property_read_variable_u32_array" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcf501939, "firmware_request_nowarn" },
	{ 0x379e3632, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x4636c73b, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x220fa5cc, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x213deaac, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x14ad68bb, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xaab6e302, "dma_unmap_page_attrs" },
	{ 0xf1990c2d, "ieee80211_txq_schedule_start" },
	{ 0x96848186, "scnprintf" },
	{ 0xf475f730, "ieee80211_iterate_stations_atomic" },
	{ 0xdbecb26d, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x7cf8cb0c, "cpu_latency_qos_add_request" },
	{ 0xdb093296, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x79953fa1, "thermal_cooling_device_register" },
	{ 0xd4b57a0, "led_classdev_unregister" },
	{ 0xc8051662, "ieee80211_register_hw" },
	{ 0xa4ad5c33, "ieee80211_restart_hw" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xd816616c, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0x8665556, "of_get_property" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x90309392, "pskb_expand_head" },
	{ 0xa9080202, "skb_queue_purge_reason" },
	{ 0x8752b126, "dev_driver_string" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xd3b7a3e1, "dma_map_page_attrs" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x99781161, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcaff8210, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0xa60ccc2c, "cfg80211_put_bss" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x72794de9, "skb_queue_tail" },
	{ 0x62e6a128, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xe535a112, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x801628f7, "wiphy_to_ieee80211_hw" },
	{ 0x4cc7ec79, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb750aeb2, "ieee80211_queue_delayed_work" },
	{ 0x4150e46d, "ieee80211_proberesp_get" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0xa5987305, "sysfs_remove_link" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x903ecbd5, "init_uts_ns" },
	{ 0xb0514032, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x142ee452, "ieee80211_find_sta_by_ifaddr" },
	{ 0xab310136, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1f2bf576, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6afb6c84, "skb_push" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x3156d1af, "napi_enable" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xb617c041, "ieee80211_wake_queues" },
	{ 0xa9288d24, "free_netdev" },
	{ 0xca533b54, "of_property_read_string" },
	{ 0xef730433, "wiphy_read_of_freq_limits" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0xd1856430, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb591965f, "ieee80211_free_txskb" },
	{ 0xbd11ea39, "led_classdev_register_ext" },
	{ 0xc165d1f8, "dev_coredumpv" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc3d191c6, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0xa51b7d33, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x191e360, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xba2ad5e2, "skb_dequeue_tail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x56ccb2ac, "of_property_read_variable_u8_array" },
	{ 0x2d8217aa, "devm_nvmem_cell_get" },
	{ 0xbf807dd8, "ieee80211_stop_queue" },
	{ 0xcd6bc2ce, "__netdev_alloc_skb" },
	{ 0xcbc93297, "ieee80211_ready_on_channel" },
	{ 0xea943178, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe16419d9, "skb_trim" },
	{ 0x2df50b0, "jiffies" },
	{ 0xc7ab3926, "skb_realloc_headroom" },
	{ 0x954521ff, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0xa1ee3218, "alloc_netdev_dummy" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9a5b48ea, "ieee80211_scan_completed" },
	{ 0xf9bb5af0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x27c186fb, "__dma_sync_single_for_device" },
	{ 0xaa73f934, "ieee80211_unregister_hw" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4fb1f9ba, "ath_regd_init" },
	{ 0xa24e69f8, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2f12356, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x2cc3b9f0, "ieee80211_tdls_oper_request" },
	{ 0x50bd1b29, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x929a58a, "thermal_cooling_device_unregister" },
	{ 0xb0829b8a, "ieee80211_tx_rate_update" },
	{ 0xd2890f73, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x465ab6fb, "napi_disable" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x50b04678, "__cfg80211_get_bss" },
	{ 0x6f3117fa, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x7ce4be1d, "skb_queue_head" },
	{ 0xfbcc212f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,led-class,ath");


MODULE_INFO(srcversion, "3F5A4D72864CB925DFFBBB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
