#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x05a3dde0, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x1125c4a0, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x8019f95d, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x299f78b4, "_gpl");
SYMBOL_CRC(p54_rx, 0x8ce69e52, "_gpl");
SYMBOL_CRC(p54_init_common, 0xdbdfc9f9, "_gpl");
SYMBOL_CRC(p54_register_common, 0x75e69f14, "_gpl");
SYMBOL_CRC(p54_free_common, 0x74672ae7, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x6b5a538f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bec9b72, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x379e3632, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x213deaac, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x14ad68bb, "ieee80211_free_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0xdb093296, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4b57a0, "led_classdev_unregister" },
	{ 0xc8051662, "ieee80211_register_hw" },
	{ 0x164e2a9, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7abaf644, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe3e8b36f, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xd816616c, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3ce83f8e, "__ieee80211_get_tx_led_name" },
	{ 0xa9080202, "skb_queue_purge_reason" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x323a75ca, "ieee80211_handle_wake_tx_queue" },
	{ 0x99781161, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd5b50d26, "__ieee80211_get_rx_led_name" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x72794de9, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb750aeb2, "ieee80211_queue_delayed_work" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6afb6c84, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb591965f, "ieee80211_free_txskb" },
	{ 0xbd11ea39, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc3d191c6, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xef2a3c75, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcccd9982, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xbf807dd8, "ieee80211_stop_queue" },
	{ 0xcd6bc2ce, "__netdev_alloc_skb" },
	{ 0xe16419d9, "skb_trim" },
	{ 0x761ccb1d, "skb_unlink" },
	{ 0x954521ff, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xc18db999, "__ieee80211_get_assoc_led_name" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0xaa73f934, "ieee80211_unregister_hw" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa24e69f8, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0x82ad290e, "_dev_printk" },
	{ 0x3454ecec, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xe091f68b, "ieee80211_rx_irqsafe" },
	{ 0x7ce4be1d, "skb_queue_head" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,led-class");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
