#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x8fd9fef3, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x5c99e357, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xe53f5ad3, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xeed30b68, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x9da34e27, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xccbfc7a3, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xf01893bb, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xf2e85ae4, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x754d631a, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x5ba6265c, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xebe8c9de, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xbf61b9c4, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xbde93e8c, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xd0b9e245, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xa35191e4, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x7cd7ef5f, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xee44d77d, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x8a5d1c18, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x9f5c4f88, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xe57b8808, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x3304da45, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xfcc4eeb8, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x5a55bb9f, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xa10a1261, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x8852dea9, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x85b60478, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xde6c628a, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x5b4e144f, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x8810f74a, "_gpl");
SYMBOL_CRC(rt2800_config, 0xfa183364, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x70ec8d21, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x6daefd5a, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x71b339b4, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xac743682, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x6c9842fd, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x8e2d0371, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x531949c3, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x2cae8690, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x8570699b, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xa10d8c33, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xa59c138e, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x055e7c97, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x1a5088d4, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xddd1d1ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf73681e0, "mutex_lock" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99e9c4cf, "rt2x00lib_txdone_nomatch" },
	{ 0x993f94c, "rt2x00lib_txdone" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0x3d71bfc3, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x42fce3f1, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x3f16095f, "rt2x00mac_conf_tx" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x2df50b0, "jiffies" },
	{ 0x6afb6c84, "skb_push" },
	{ 0xdcb764ad, "memset" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0xd672a4c2, "__skb_pad" },
	{ 0xb9da1313, "rt2x00lib_txdone_noinfo" },
	{ 0xa4ad5c33, "ieee80211_restart_hw" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x66c2eb5, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x44831bf, "param_ops_uint" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
