#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x523960d5, "vmemmap" },
	{ 0xbb775053, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x70d85a84, "dma_pool_create" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x379e3632, "consume_skb" },
	{ 0xf8cd5687, "pci_alloc_irq_vectors" },
	{ 0x407843be, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xf9e436cc, "pm_runtime_set_autosuspend_delay" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xaab6e302, "dma_unmap_page_attrs" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a61e1b2, "wwan_register_ops" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x8172c487, "pci_irq_vector" },
	{ 0xda6869d6, "__netif_napi_del" },
	{ 0x444d688b, "unregister_netdevice_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0xc82afdc0, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc207d321, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa9080202, "skb_queue_purge_reason" },
	{ 0x8752b126, "dev_driver_string" },
	{ 0x32eb1dc2, "sysfs_notify" },
	{ 0xd3b7a3e1, "dma_map_page_attrs" },
	{ 0x7a18ee99, "napi_complete_done" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7aae1a4, "__napi_schedule" },
	{ 0xb74c31cd, "wwan_remove_port" },
	{ 0x20c4f4bd, "napi_gro_receive" },
	{ 0x9a646e27, "netif_device_attach" },
	{ 0x72794de9, "skb_queue_tail" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb848c96f, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xa34f369b, "device_wakeup_enable" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x311c8b69, "do_wait_intr_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6afb6c84, "skb_push" },
	{ 0xcab23c3a, "pci_device_is_present" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0x3156d1af, "napi_enable" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xa9288d24, "free_netdev" },
	{ 0x6948c94e, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x223029c4, "__put_devmap_managed_folio_refs" },
	{ 0xc08eb059, "kthread_stop" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xff4927ab, "netif_tx_wake_queue" },
	{ 0x9ca96b60, "wwan_port_rx" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xf31e537c, "wwan_unregister_ops" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xcd6bc2ce, "__netdev_alloc_skb" },
	{ 0x1fccef93, "complete_all" },
	{ 0x761ccb1d, "skb_unlink" },
	{ 0xb33f287d, "kthread_create_on_node" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x3574a51e, "devm_kasprintf" },
	{ 0x5db72728, "sysfs_remove_group" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xa1ee3218, "alloc_netdev_dummy" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0xbdbb29c1, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc41a7a1d, "wwan_create_port" },
	{ 0xf1cbccbb, "__folio_put" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda461fe3, "netif_carrier_off" },
	{ 0x999727df, "skb_clone" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xd83e6c66, "netif_carrier_on" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x937d243b, "napi_gro_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc066e285, "skb_add_rx_frag_netmem" },
	{ 0x7a9c4c78, "pcim_iomap_table" },
	{ 0x859ea465, "__pm_runtime_suspend" },
	{ 0xb313bb4e, "napi_schedule_prep" },
	{ 0x6a93fd5b, "__pm_runtime_use_autosuspend" },
	{ 0x465ab6fb, "napi_disable" },
	{ 0x54022cd6, "dev_kfree_skb_any_reason" },
	{ 0xbf7ebd2c, "pcim_enable_device" },
	{ 0x526bcf2a, "wwan_port_get_drvdata" },
	{ 0xd68b64cf, "try_wait_for_completion" },
	{ 0xfe745d97, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8a1c75b, "register_netdevice" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014C3d00004D75sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C0d00004D75sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6AC34C224B4C368C98152F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
