#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe12d1f, "set_capacity_and_notify" },
	{ 0xdb569285, "set_disk_ro" },
	{ 0x2b19352d, "scsi_print_sense_hdr" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x523960d5, "vmemmap" },
	{ 0xa54f5b2, "scsi_mode_sense" },
	{ 0x94a77c22, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x7d106d48, "scsi_autopm_put_device" },
	{ 0x8c7962c3, "scsi_device_get" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x52af80b4, "device_add_disk" },
	{ 0x8c3b9b50, "trace_raw_output_prep" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0xf9e436cc, "pm_runtime_set_autosuspend_delay" },
	{ 0x4bb1092d, "__trace_trigger_soft_disabled" },
	{ 0xdb8fb7a0, "blk_pm_runtime_init" },
	{ 0x2d83234d, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0x80e2d6f0, "scsi_get_vpd_page" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0xe447aced, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6785b7, "block_pr_type_to_scsi" },
	{ 0x55d1524e, "scsicam_bios_param" },
	{ 0x313f7661, "blk_mq_alloc_disk_for_queue" },
	{ 0x413fe411, "get_device" },
	{ 0x8d6dc201, "ppc64_caches" },
	{ 0xf667a653, "scsi_command_normalize_sense" },
	{ 0x75edabe9, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x581e553c, "scsi_device_set_state" },
	{ 0x8975d797, "trace_event_buffer_commit" },
	{ 0x1a4b2a34, "scsi_test_unit_ready" },
	{ 0xb40916c2, "scsi_block_when_processing_errors" },
	{ 0x92997ed8, "_printk" },
	{ 0xce345eaf, "put_disk" },
	{ 0x1e0b4e05, "scsi_ioctl" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x34c10cb8, "scsi_device_put" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xc02a8c8f, "perf_trace_run_bpf_submit" },
	{ 0x55e3b00e, "blk_revalidate_disk_zones" },
	{ 0x4e9c6db0, "device_add" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6eda1ee4, "sdev_prefix_printk" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a8a0c98, "scsi_report_opcode" },
	{ 0x4968111, "trace_event_reg" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0x95e5d2f7, "class_unregister" },
	{ 0x70693793, "del_gendisk" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x7be29fa0, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xedb0d088, "blk_integrity_profile_name" },
	{ 0xe0fbb8e, "disk_alloc_independent_access_ranges" },
	{ 0x6718d40f, "scsi_alloc_sgtables" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0xba9e6e8e, "scsi_autopm_get_device" },
	{ 0x2df50b0, "jiffies" },
	{ 0x96b6a45a, "scsi_print_command" },
	{ 0x91ae7d50, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x6b70453c, "__scsi_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2078c8f, "blk_mq_freeze_queue" },
	{ 0x749f0b0b, "trace_event_buffer_reserve" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xe96900b4, "mempool_create_node_noprof" },
	{ 0x30fb02c2, "scmd_printk" },
	{ 0x928c24f9, "scsi_execute_cmd" },
	{ 0xdcaeedeb, "scsi_free_sgtables" },
	{ 0xde23c50f, "disk_set_independent_access_ranges" },
	{ 0x95ad345c, "scsi_mode_select" },
	{ 0xbaf229b1, "mempool_destroy" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x4577504f, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc4cb77c0, "blk_mq_unfreeze_queue" },
	{ 0xdb461214, "scsi_ioctl_block_when_processing_errors" },
	{ 0x8eb43cee, "queue_limits_commit_update" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf18a260, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe6c316cc, "blk_queue_rq_timeout" },
	{ 0x7ee9199d, "scsi_failures_reset_retries" },
	{ 0x74bf2e01, "scsi_pr_type_to_block" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x47a7dab2, "scsi_set_medium_removal" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "B6FFCEA4CC5AD0244F82117");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
