#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0x2df50b0, "jiffies" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x2f045402, "scsi_dma_unmap" },
	{ 0x47fab914, "scsi_done" },
	{ 0x7d3eb0f, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe6c316cc, "blk_queue_rq_timeout" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0xeb1f8b9b, "scsi_remove_host" },
	{ 0x57516cc2, "scsi_block_requests" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x453aadc6, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0xd6bf256, "scsi_host_put" },
	{ 0xd207602c, "pci_disable_device" },
	{ 0xb2696ee2, "pci_disable_msi" },
	{ 0xc329644f, "scsi_build_sense" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x9f41bda0, "pci_enable_device" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x6ba35379, "scsi_host_alloc" },
	{ 0xab3d8d05, "pci_request_regions" },
	{ 0xdd062fa3, "pci_ioremap_bar" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfa41769c, "pci_enable_msi" },
	{ 0xc24415d4, "scsi_add_host_with_dma" },
	{ 0x7c263032, "scsi_scan_host" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x8f7f5b92, "pci_read_config_dword" },
	{ 0x232b35e3, "pci_read_config_byte" },
	{ 0x616262f0, "pci_write_config_byte" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0xe91807eb, "pci_write_config_dword" },
	{ 0x82ad290e, "_dev_printk" },
	{ 0x30fb02c2, "scmd_printk" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");

MODULE_ALIAS("pci:v0000105Ad00008350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad0000C350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad0000E350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00007250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008650sv0000105Asd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008650sv00001033sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008870sv0000105Asd00008870bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008870sv0000105Asd00004300bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004311bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004312bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004321bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004322bc*sc*i*");

MODULE_INFO(srcversion, "0E63062F5C7523697BF0A48");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
