#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x561036b7, "");
SYMBOL_CRC(ssb_bus_suspend, 0x1cc4b07c, "");
SYMBOL_CRC(ssb_bus_unregister, 0xb61189bf, "");
SYMBOL_CRC(__ssb_driver_register, 0x1b0f8124, "");
SYMBOL_CRC(ssb_driver_unregister, 0x8f60c44b, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x58b826e7, "");
SYMBOL_CRC(ssb_clockspeed, 0xfac78f98, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x15948cc9, "");
SYMBOL_CRC(ssb_device_enable, 0xf854e5d1, "");
SYMBOL_CRC(ssb_device_disable, 0xa316fc8d, "");
SYMBOL_CRC(ssb_dma_translation, 0x5a61cf15, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x59e2afb5, "");
SYMBOL_CRC(ssb_bus_powerup, 0xdb6610ba, "");
SYMBOL_CRC(ssb_commit_settings, 0x43f971c7, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x2461230b, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x4903ab76, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xf0dbf96e, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x1f40b5d5, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x78b68937, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x0be2367e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6875b9dc, "pci_save_state" },
	{ 0x8da477b2, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9f41bda0, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0xc80fe66a, "pci_iomap" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xb103ed24, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0xa7cf1838, "__pci_register_driver" },
	{ 0x997accd6, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xab3d8d05, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x413fe411, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xf559086c, "pci_unregister_driver" },
	{ 0x8752b126, "dev_driver_string" },
	{ 0x8f7f5b92, "pci_read_config_dword" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0x19305059, "device_create_file" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x26a5a5a6, "gpiochip_get_data" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa99d6938, "pci_read_config_word" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0x254c9287, "ioremap" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x9784c1f0, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf624f8c, "device_register" },
	{ 0xcf319c37, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xff33b951, "gpiochip_add_data_with_key" },
	{ 0x53a724e5, "_dev_emerg" },
	{ 0x6db4bfcd, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x453aadc6, "pci_release_regions" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd207602c, "pci_disable_device" },
	{ 0xef433d86, "pci_write_config_word" },
	{ 0x79162e32, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe91807eb, "pci_write_config_dword" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2f5fb6d0, "device_remove_file" },
	{ 0x841dd318, "bus_register" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1121FB048F8F1D1D1B0EA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
