#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0x35ea0e97, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x379e3632, "consume_skb" },
	{ 0x14ad68bb, "ieee80211_free_hw" },
	{ 0xbe7e5676, "request_firmware" },
	{ 0x8666b8c7, "usb_register_driver" },
	{ 0xb4000d7c, "ieee80211_get_tkip_p2k" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8051662, "ieee80211_register_hw" },
	{ 0x164e2a9, "ieee80211_emulate_change_chanctx" },
	{ 0xf87a06e4, "ieee80211_ctstoself_duration" },
	{ 0x7abaf644, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8034453d, "ieee80211_generic_frame_duration" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0x323a75ca, "ieee80211_handle_wake_tx_queue" },
	{ 0x99781161, "ieee80211_tx_status_irqsafe" },
	{ 0xeaf6375d, "usb_put_dev" },
	{ 0x9362e6d1, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa81a17b7, "usb_kill_anchored_urbs" },
	{ 0xd1cd084, "usb_get_dev" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6afb6c84, "skb_push" },
	{ 0x29b50091, "usb_control_msg" },
	{ 0xb617c041, "ieee80211_wake_queues" },
	{ 0xb591965f, "ieee80211_free_txskb" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc3d191c6, "ieee80211_alloc_hw_nm" },
	{ 0x39470cc6, "usb_deregister" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xef2a3c75, "ieee80211_emulate_add_chanctx" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcccd9982, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xcd6bc2ce, "__netdev_alloc_skb" },
	{ 0xccaedee, "usb_unanchor_urb" },
	{ 0xea943178, "ieee80211_stop_queues" },
	{ 0xe16419d9, "skb_trim" },
	{ 0xbb3cd572, "_dev_notice" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaa73f934, "ieee80211_unregister_hw" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa24e69f8, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x999727df, "skb_clone" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x3454ecec, "ieee80211_emulate_remove_chanctx" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xe091f68b, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fe21969, "ieee80211_rts_duration" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mac80211,cfg80211");

MODULE_ALIAS("usb:v160Ap3184d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9F04316EA345CC929C5A269");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
