#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_connect_type, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x10920f46, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x4834ce66, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0xd67676ee, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x6f00f1b1, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x49a85ada, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x2c7848c0, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x04317c5f, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x54cf1b7d, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x0d1cd084, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xeaf6375d, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x053f4b34, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x6e69ea28, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0xa8e1bb97, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x64cb527e, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x59c6fd23, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x472819d8, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xd0deb365, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xf967edaf, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x8b16b5cb, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x6b59fba2, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x22682742, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xa9e3b1d9, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x77a4405d, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x6a55a867, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x0dd15381, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xa92f9282, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0xc68ab119, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x221f9029, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x11d17b7a, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x459b6bcf, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x9d3da3ae, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0xe1f6a776, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x9362e6d1, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x0ce997a0, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x76ec3d90, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0xcc9e9b1b, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0x1df40b3b, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xc31ac1a0, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x904001fd, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x2c60e4d5, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xc243111b, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x2acdfe4e, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x6eb45a1b, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x42bca639, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x8545b4ad, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x50cdbb21, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xfe80fb69, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xd4c279c3, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x509beef9, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x72161201, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x5c730cd5, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0xae036240, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x04141de3, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0xea5c2bb4, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x85a51f6c, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x36ad150b, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x1b99cf65, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xf1c104b6, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x81bd8bd7, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xbbcf7c60, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0xfb22b2a4, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x70b9e12a, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0xc9d9996c, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x183cca4b, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x3ba41028, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xaf4f2c0b, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x35ea0e97, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x0ccaedee, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x55b6aeac, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x40440c3d, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0xb6614935, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0xd13b1280, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x63ce26c5, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x29b057eb, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0x7f8443fe, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xf69ca747, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0xa81a17b7, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x200c8f11, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x4088e22c, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0xc1141950, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0xb06f896b, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0xcfc60ec3, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0xf4685a2d, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0xdd2f0f27, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0xac5e44c2, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0xe82450d3, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x29b50091, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x97e2cb6e, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xab23f285, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xe73c2a1f, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xe4b2e2b3, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x50de751d, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x7186a73e, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x0a85c2cf, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x7352770f, "_gpl");
SYMBOL_CRC(usb_string, 0xb9c1be53, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xe1986785, "_gpl");
SYMBOL_CRC(usb_get_status, 0x8ee0e5b0, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0xfdd50db9, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0xfc65c265, "_gpl");
SYMBOL_CRC(usb_set_interface, 0xddb014be, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x8c72f6e9, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x6df6bee6, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0xed2c285d, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x3552c50c, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0xeffa6173, "");
SYMBOL_CRC(usb_store_new_id, 0xfc9094b2, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xe213706e, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x18957a27, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x5b672def, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x615855c2, "_gpl");
SYMBOL_CRC(usb_match_id, 0xd6de19da, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x99522de6, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x88971582, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x05ceeef3, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x8666b8c7, "_gpl");
SYMBOL_CRC(usb_deregister, 0x39470cc6, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xff8f8c7e, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x6539a1e3, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x2c570811, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x1ffae197, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x4c04a5b4, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0xecd0fc35, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0xdf5248e8, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x5f8cea31, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x8e32704c, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x296a4d66, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x3cc7268d, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xf05b962b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x23957336, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x14555bab, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0xda6bc78d, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0x790564ea, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0x8b6ffed7, "_gpl");
SYMBOL_CRC(usb_of_get_connect_type, 0x657126fd, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0x1908b348, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x23adf339, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x67085e36, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0xa19500c3, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xa2cfb51a, "_gpl");
SYMBOL_CRC(onboard_dev_create_pdevs, 0x3c524e33, "_gpl");
SYMBOL_CRC(onboard_dev_destroy_pdevs, 0x4a71e5f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92d22f83, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x6875b9dc, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x8da477b2, "device_set_wakeup_enable" },
	{ 0x4bc76997, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x523960d5, "vmemmap" },
	{ 0xbb775053, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x36c61fbf, "of_platform_device_create" },
	{ 0xd9763877, "device_set_of_node_from_dev" },
	{ 0x44831bf, "param_ops_uint" },
	{ 0x70d85a84, "dma_pool_create" },
	{ 0xd74d2a87, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x2136d5a0, "devm_kmalloc" },
	{ 0xd4ca2723, "of_node_put" },
	{ 0x9f41bda0, "pci_enable_device" },
	{ 0x565ccdfe, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7881482d, "devm_memremap" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x8bd06481, "of_find_device_by_node" },
	{ 0xf8cd5687, "pci_alloc_irq_vectors" },
	{ 0x9d22162b, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd86f2907, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7bfc496c, "driver_remove_file" },
	{ 0x92d6994a, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x8afb13c8, "driver_attach" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0xf9e436cc, "pm_runtime_set_autosuspend_delay" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0xbbd6da83, "gen_pool_dma_alloc_align" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbb11f24, "pci_get_device" },
	{ 0xaab6e302, "dma_unmap_page_attrs" },
	{ 0x71f7b55a, "devm_of_phy_get" },
	{ 0xd842fb9b, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0xb8b90cf7, "sysfs_unbreak_active_protection" },
	{ 0x5401bf1d, "pci_dev_run_wake" },
	{ 0x3822964f, "devm_ioremap" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x997accd6, "pci_prepare_to_sleep" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xcbadb4f8, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x81ac1ed4, "component_del" },
	{ 0xe27cbcf3, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xafd6c977, "kobject_get_path" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0xd1106be2, "of_graph_get_remote_port_parent" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6760ed80, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8172c487, "pci_irq_vector" },
	{ 0x413fe411, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x230126c5, "kernfs_notify" },
	{ 0xd648df5f, "blocking_notifier_chain_register" },
	{ 0x7ed4803, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8e31399a, "of_graph_get_endpoint_by_regs" },
	{ 0x5b3adc0a, "__put_cred" },
	{ 0x23d69a4b, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8752b126, "dev_driver_string" },
	{ 0xbc4494c8, "gen_pool_dma_alloc" },
	{ 0x32eb1dc2, "sysfs_notify" },
	{ 0xec70eaa, "__pm_runtime_set_status" },
	{ 0xd3b7a3e1, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x7100abf6, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x9d481e93, "pm_wakeup_dev_event" },
	{ 0x65fdb694, "device_reprobe" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2bb678b5, "blocking_notifier_call_chain" },
	{ 0x490987dc, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaf1891fa, "debugfs_lookup_and_remove" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xa670e2ba, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x208bdf4, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xb5b19761, "phy_exit" },
	{ 0xc53b8a90, "bus_register_notifier" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x2df56b48, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x7536f17d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe535a112, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x723e7b42, "device_wakeup_disable" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfafadd7, "cdev_add" },
	{ 0x19305059, "device_create_file" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa2a614cb, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd9a1071e, "sysfs_update_group" },
	{ 0xedaa6b10, "sysfs_unmerge_group" },
	{ 0x94ebaea5, "bus_unregister" },
	{ 0xf6792daf, "down_write" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xa34f369b, "device_wakeup_enable" },
	{ 0x75574cc1, "up_write" },
	{ 0x16e7cc18, "bus_find_device" },
	{ 0x4e9c6db0, "device_add" },
	{ 0xa99d7ba9, "__of_parse_phandle_with_args" },
	{ 0xa5987305, "sysfs_remove_link" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x903ecbd5, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfde73ade, "device_create" },
	{ 0xdcea7760, "noop_llseek" },
	{ 0xe8b85117, "sysfs_merge_group" },
	{ 0xb2b66c1c, "phy_notify_disconnect" },
	{ 0xe448c587, "of_platform_device_destroy" },
	{ 0x71545d22, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xc5eaa63d, "kernfs_find_and_get_ns" },
	{ 0x4c7e96d, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x68bb4f84, "phy_power_on" },
	{ 0xc6524b91, "no_seek_end_llseek" },
	{ 0x79ae4160, "driver_unregister" },
	{ 0x6addda47, "of_find_property" },
	{ 0x95e5d2f7, "class_unregister" },
	{ 0xc17c80da, "of_match_node" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x6009b4dd, "sysfs_remove_file_from_group" },
	{ 0x6948c94e, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x7daebc65, "of_device_is_available" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf624f8c, "device_register" },
	{ 0x7be29fa0, "device_del" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xc72dc88d, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x63d6678, "device_match_devt" },
	{ 0xf3731c3c, "pci_set_master" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x363163db, "gen_pool_add_owner" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x44c23dfc, "pm_runtime_no_callbacks" },
	{ 0x26ecfde5, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x193a63ce, "devm_gen_pool_create" },
	{ 0xb4fca748, "down_read" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0xb648e2d7, "dev_pm_qos_flags" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5db72728, "sysfs_remove_group" },
	{ 0x40f6e309, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbb3cd572, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x20897da1, "pm_runtime_forbid" },
	{ 0xe6fbc2bc, "debugfs_create_file" },
	{ 0xaac048e3, "blocking_notifier_chain_unregister" },
	{ 0x803e8141, "dma_free_attrs" },
	{ 0xbdbb29c1, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xff54383d, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x688ee60, "wait_for_completion_killable_timeout" },
	{ 0xfdd5808f, "kernfs_put" },
	{ 0xe447ecbd, "gen_pool_free_owner" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2277ceca, "inode_set_ctime_current" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x3f05d5ea, "__register_chrdev" },
	{ 0x63dd85b3, "sysfs_break_active_protection" },
	{ 0xf2a984f, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xf809c99, "kobject_uevent" },
	{ 0x8bbb056b, "device_pm_wait_for_dev" },
	{ 0xd207602c, "pci_disable_device" },
	{ 0x9fbbf6c6, "kill_pid_usb_asyncio" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0xb6bb4573, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xcb329c71, "of_count_phandle_with_args" },
	{ 0x401234fc, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x5c46f659, "dma_unmap_sg_attrs" },
	{ 0x24c955e, "dev_pm_qos_add_request" },
	{ 0xd3afff2, "pm_runtime_barrier" },
	{ 0x859ea465, "__pm_runtime_suspend" },
	{ 0x5db86e7c, "usb_debug_root" },
	{ 0xf79b0c5f, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xfee53d67, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6a93fd5b, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x3e7ff1bc, "phy_calibrate" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0x82ad290e, "_dev_printk" },
	{ 0xc10bb158, "dev_pm_qos_expose_flags" },
	{ 0xbf792b20, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x9f996def, "dev_pm_qos_remove_request" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfe745d97, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x49180e5f, "up_read" },
	{ 0x79162e32, "driver_register" },
	{ 0x4b79bf14, "put_pid" },
	{ 0xf18a260, "class_register" },
	{ 0x36247eff, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59229ca2, "cdev_init" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x922c67ad, "devm_of_phy_get_by_index" },
	{ 0x536a2d35, "cdev_del" },
	{ 0x2f5fb6d0, "device_remove_file" },
	{ 0x841dd318, "bus_register" },
	{ 0xfc1b100b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x337bd07, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "DE35A66C69135FF8765DD21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
