#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0xc3ba5769, "usbip_pack_pdu" },
	{ 0x523960d5, "vmemmap" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0x381e58a3, "usbip_start_eh" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7bfc496c, "driver_remove_file" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x78b72f44, "usbip_debug_flag" },
	{ 0xa9e3b1d9, "usb_hub_release_port" },
	{ 0x5cfacf1e, "usbip_recv_xbuff" },
	{ 0x37a0cba, "kfree" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xaddf2c8e, "kmem_cache_create" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x5ceeef3, "usb_deregister_device_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc207d321, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xfdd50db9, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0xeaf6375d, "usb_put_dev" },
	{ 0x9362e6d1, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf620aefd, "usbip_recv" },
	{ 0xa916b694, "strnlen" },
	{ 0x208bdf4, "driver_create_file" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xd1cd084, "usb_get_dev" },
	{ 0x46592c68, "usbip_dump_urb" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x1a04b804, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8cda0e5, "kthread_stop_put" },
	{ 0xe769de3b, "usbip_recv_iso" },
	{ 0xdb8df2d9, "fput" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xc2e75dd8, "dev_attr_usbip_debug" },
	{ 0x88f98cde, "usbip_stop_eh" },
	{ 0x71545d22, "device_attach" },
	{ 0x82c4556e, "kernel_sock_shutdown" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xcde57902, "kmem_cache_free" },
	{ 0x88971582, "usb_register_device_driver" },
	{ 0x5a921311, "strncmp" },
	{ 0xddb014be, "usb_set_interface" },
	{ 0xc08eb059, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x64cb527e, "usb_lock_device_for_reset" },
	{ 0x36365aa0, "usbip_in_eh" },
	{ 0xdcb764ad, "memset" },
	{ 0xe1ea0586, "usbip_dump_header" },
	{ 0xf5a61e36, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x3712199c, "usbip_event_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xb33f287d, "kthread_create_on_node" },
	{ 0xd13b1280, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x22682742, "usb_hub_claim_port" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0xb71a8a77, "usbip_alloc_iso_desc_pdu" },
	{ 0xed2c285d, "usb_set_configuration" },
	{ 0xbaf0517e, "sockfd_lookup" },
	{ 0x8727b02f, "kernel_sendmsg" },
	{ 0xd02753dc, "usbip_header_correct_endian" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x27c71907, "usbip_event_happened" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xaafa0b92, "kmem_cache_destroy" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbip-core");


MODULE_INFO(srcversion, "79E98CC6C68183D7B84A7FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
