#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x90252150, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x523960d5, "vmemmap" },
	{ 0x1ac31b45, "__init_rwsem" },
	{ 0xdc1694bf, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xee687dfd, "unpin_user_pages_dirty_lock" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ce973ca, "device_unregister" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x770e9bc1, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x55540e2b, "_vdpa_register_device" },
	{ 0xc151d1ae, "kobject_init" },
	{ 0x5afefb00, "unpin_user_pages" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x3af7c1bc, "__module_get" },
	{ 0xa07e9188, "__vdpa_alloc_device" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x122a9000, "pin_user_pages" },
	{ 0x1192cc82, "alloc_iova_fast" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x86e6a1aa, "vdpa_mgmtdev_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0xd4246d8f, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7536f17d, "module_put" },
	{ 0xe0ec659b, "iova_domain_init_rcaches" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfafadd7, "cdev_add" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x82114310, "put_iova_domain" },
	{ 0xdb8df2d9, "fput" },
	{ 0xf6792daf, "down_write" },
	{ 0x6163871b, "kobject_add" },
	{ 0x75574cc1, "up_write" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0xfde73ade, "device_create" },
	{ 0xdcea7760, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x83be64b9, "vhost_iotlb_itree_next" },
	{ 0xf9deb0db, "vhost_iotlb_map_free" },
	{ 0x95e5d2f7, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x223029c4, "__put_devmap_managed_folio_refs" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xf624f8c, "device_register" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xb3cf24e4, "_vdpa_unregister_device" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb4fca748, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfe19e4fe, "__mmdrop" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x324f6733, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5a49f6a8, "__mmap_lock_do_trace_start_locking" },
	{ 0x8c13e66e, "vdpa_mgmtdev_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7df62bac, "device_create_with_groups" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x255f7a43, "init_iova_domain" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0xf1cbccbb, "__folio_put" },
	{ 0xf2a984f, "device_destroy" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ec65a9, "__mmap_lock_do_trace_released" },
	{ 0x885512a2, "vhost_iotlb_add_range_ctx" },
	{ 0x159c7a64, "receive_fd" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x2951f4a8, "_copy_from_iter" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xd51e33b2, "alloc_pages_noprof" },
	{ 0x91952849, "free_iova_fast" },
	{ 0x7a9da0e2, "dma_set_mask" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x49180e5f, "up_read" },
	{ 0xf18a260, "class_register" },
	{ 0x59229ca2, "cdev_init" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x536a2d35, "cdev_del" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8c14fce6, "kobject_put" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "iova,vdpa,vhost_iotlb");


MODULE_INFO(srcversion, "C0531185C6F0E252B562E6C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
