#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(chacha20poly1305_encrypt, "", "");
KSYMTAB_FUNC(xchacha20poly1305_encrypt, "", "");
KSYMTAB_FUNC(chacha20poly1305_decrypt, "", "");
KSYMTAB_FUNC(xchacha20poly1305_decrypt, "", "");
KSYMTAB_FUNC(chacha20poly1305_encrypt_sg_inplace, "", "");
KSYMTAB_FUNC(chacha20poly1305_decrypt_sg_inplace, "", "");

SYMBOL_CRC(chacha20poly1305_encrypt, 0x147c3f2e, "");
SYMBOL_CRC(xchacha20poly1305_encrypt, 0xce15a526, "");
SYMBOL_CRC(chacha20poly1305_decrypt, 0xc20134e7, "");
SYMBOL_CRC(xchacha20poly1305_decrypt, 0x521c7102, "");
SYMBOL_CRC(chacha20poly1305_encrypt_sg_inplace, 0x6c713da5, "");
SYMBOL_CRC(chacha20poly1305_decrypt_sg_inplace, 0x916491ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x220b49ab, "chacha_crypt_arch" },
	{ 0x595d0946, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3945fcd, "poly1305_final_generic" },
	{ 0x5a90567e, "sg_miter_next" },
	{ 0x2ae63629, "sg_miter_stop" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xafefdde, "sg_miter_start" },
	{ 0xdcb764ad, "memset" },
	{ 0xd7219de2, "poly1305_update_generic" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xdd8ec6bd, "hchacha_block_arch" },
	{ 0xdc94f829, "chacha_init_arch" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x31d4e581, "poly1305_init_generic" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "chacha-p10-crypto,libpoly1305");


MODULE_INFO(srcversion, "2092C692966CE7EE84C2C07");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
