#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x98d3cdc4, "");
SYMBOL_CRC(wpan_phy_for_each, 0xb2befa12, "");
SYMBOL_CRC(wpan_phy_new, 0xc4586133, "");
SYMBOL_CRC(wpan_phy_register, 0xb7580e0f, "");
SYMBOL_CRC(wpan_phy_unregister, 0x364dd01d, "");
SYMBOL_CRC(wpan_phy_free, 0x5e78132e, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x7e9167e3, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x3fe7bfbf, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x84265113, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xca05d563, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x04494f14, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xb5f5222a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x7ff2a1d5, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x8374ab1c, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xd45f2adc, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x11e5a1e4, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x23556768, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xf29db0ba, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x4b568c22, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xb68323c9, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x5317bc95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x94a77c22, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x8bec9b72, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2c8c5f1e, "dev_set_name" },
	{ 0x5c3afe4d, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8c3b9b50, "trace_raw_output_prep" },
	{ 0x59cd1e54, "nla_put_64bit" },
	{ 0x4bb1092d, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x2d83234d, "trace_event_printf" },
	{ 0xcbecdb64, "device_initialize" },
	{ 0xef3133bd, "genlmsg_put" },
	{ 0xe447aced, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1238977, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x413fe411, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x6934159c, "netlink_broadcast_filtered" },
	{ 0x9c31a60a, "device_rename" },
	{ 0x8975d797, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf4fd4f2a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf3b289c, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9a45dad0, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xe5fbf159, "__dev_get_by_index" },
	{ 0xc02a8c8f, "perf_trace_run_bpf_submit" },
	{ 0x4f5f1ea0, "init_net" },
	{ 0x3dd9d39b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4e9c6db0, "device_add" },
	{ 0xb0514032, "sk_skb_reason_drop" },
	{ 0xc74db57b, "netlink_unicast" },
	{ 0xb7961489, "dev_get_by_index" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6afb6c84, "skb_push" },
	{ 0x90de9670, "nla_put" },
	{ 0x4968111, "trace_event_reg" },
	{ 0x95e5d2f7, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb8fa4285, "unregister_pernet_device" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x60cbeca9, "bpf_trace_run1" },
	{ 0x7be29fa0, "device_del" },
	{ 0xaf5e77ef, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x7c7d688d, "__pskb_pull_tail" },
	{ 0xe16419d9, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x91ae7d50, "bpf_trace_run3" },
	{ 0x2527fb8b, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd88cd3, "get_net_ns_by_pid" },
	{ 0x749f0b0b, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x418e22e0, "device_match_name" },
	{ 0xdbaef884, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x86e96bcb, "genl_unregister_family" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9c84b482, "genl_register_family" },
	{ 0xafa8d800, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x720f873a, "register_pernet_device" },
	{ 0xfdf084ef, "get_net_ns_by_fd" },
	{ 0xf18a260, "class_register" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0xb9712f6f, "class_find_device" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C5A5A248D67C6B2F1CD34F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
