#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc96e7a8b, "input_allocate_device" },
	{ 0x183cca4b, "usb_alloc_urb" },
	{ 0xbdc0b32c, "snd_rawmidi_receive" },
	{ 0x3ba41028, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xa106706e, "snd_rawmidi_transmit" },
	{ 0xfaf4298a, "snd_ctl_add" },
	{ 0x307b0b79, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbd36b79c, "snd_card_register" },
	{ 0x7f8604a0, "snd_card_free" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x8666b8c7, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc1ffa3be, "param_array_ops" },
	{ 0xe18eab01, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xc82dfed6, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x90a6d55c, "input_free_device" },
	{ 0x8084def9, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe4b2e2b3, "usb_bulk_msg" },
	{ 0xf4ff326, "input_register_device" },
	{ 0x9362e6d1, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6614935, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1403bffa, "snd_card_new" },
	{ 0x40440c3d, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc1db0b67, "snd_card_set_id" },
	{ 0x8c35b1b2, "_dev_err" },
	{ 0xddb014be, "usb_set_interface" },
	{ 0x1e06a05c, "snd_pcm_set_ops" },
	{ 0x39470cc6, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xb9c1be53, "usb_string" },
	{ 0x795f01e4, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0xadf2607, "_dev_warn" },
	{ 0xbc0cd0ef, "param_ops_charp" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xdd607718, "input_event" },
	{ 0xd1f21d62, "input_set_abs_params" },
	{ 0xf210158, "snd_rawmidi_new" },
	{ 0x25b50cb3, "snd_card_disconnect" },
	{ 0x8484914d, "snd_rawmidi_set_ops" },
	{ 0x703ad79f, "param_ops_bool" },
	{ 0x3d5f0fed, "__kmalloc_cache_noprof" },
	{ 0x63ce26c5, "usb_kill_urb" },
	{ 0xc9d9996c, "usb_init_urb" },
	{ 0x72dea5b9, "snd_pcm_period_elapsed" },
	{ 0x5fd64b14, "param_ops_int" },
	{ 0xad2d4e67, "kmalloc_caches" },
	{ 0x7d7c4bf6, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
